//+------------------------------------------------------------------+
//|                    BUY Entry based on trend line crossing        |        
//+------------------------------------------------------------------+


#property indicator_separate_window
#property indicator_buffers 1
#property strict

// exported variables
extern int digits2714 = 0;


// local variables
string LF = "\n";  // use this in custom or utility blocks where you need line feeds
int ObjCount = 0;  // count of all objects created on the chart, allows creation of objects with unique names
int current = 0; // variable points to current bar

double Buffer2703[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int OnInit()
{
    if (false) ObjectsDeleteAll();      // clear the chart
    IndicatorShortName("BUY_Order_Entry");
    IndicatorDigits(digits2714);
    IndicatorBuffers(1);
    
    
    SetIndexBuffer(0, Buffer2703);
    
    return(0);
}

//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
{
    if (false) ObjectsDeleteAll();
}

//+------------------------------------------------------------------+
//| Custom indicator start function                                  |
//+------------------------------------------------------------------+
int start()
{
    OnEveryTick2714();
    return(0);
}

//+------------------------------------------------------------------+

void OnEveryTick2714()
{
    
    int i;
    int counted_bars = IndicatorCounted();
    if(counted_bars < 0.0) return;
    if(counted_bars > 0) counted_bars--;
    i = Bars - counted_bars;
    // main calculation loop
    while (i >= 0)
    {
        current = i;
        TechnicalAnalysis2704();
        i--;
    }
}

void TechnicalAnalysis2704()
{
    if (iCustom(NULL, PERIOD_M1, "Off_or_On",0,1) == 1.00)
    {
        TechnicalAnalysis2680();
        TechnicalAnalysis2682();
        TechnicalAnalysis2683();
        TechnicalAnalysis2684();    
        TechnicalAnalysis2686();
        TechnicalAnalysis2685();
        TechnicalAnalysis2687();
        TechnicalAnalysis2688();
        TechnicalAnalysis2681();
    }
}

void TechnicalAnalysis2680()
{
    if (iCustom(NULL, PERIOD_M1, "Execution_Codes",0,1) == 100.00)
    {
        TechnicalAnalysis2691();
        TechnicalAnalysis2690();
        
    }
}

void TechnicalAnalysis2691()
{
    if (iCustom(NULL, PERIOD_M1, "Above_or_Below",0,1) == -1.00)
    {
        TechnicalAnalysis2258();
        TechnicalAnalysis2328();
        TechnicalAnalysis2266();
        TechnicalAnalysis2275();
        TechnicalAnalysis2285();
        TechnicalAnalysis2297();
        TechnicalAnalysis2308();
        TechnicalAnalysis2320();
        
    }
}

void TechnicalAnalysis2258()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 99.00)
    {
        TechnicalAnalysis2259();
        TechnicalAnalysis2260();
        
    }
}

void TechnicalAnalysis2259()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2263();
        
    }
}

void TechnicalAnalysis2x2263()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2345();
        
    }
}

void TechnicalAnalysis2345()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis2xOr2347();
        
    }
}

void TechnicalAnalysis2xOr2347()
{
    if ((iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00) || (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) < 0.00))
    {
        TechnicalAnalysis2243();
        
    }
}

void TechnicalAnalysis2243()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        Calculation2703();
        
    }
}

void Calculation2703()
{
    Buffer2703[current]= 1.00;
    
}

void TechnicalAnalysis2260()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2264();
        
    }
}

void TechnicalAnalysis2264()
{
    if (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2345();
        
    }
}

void TechnicalAnalysis2328()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis2350();
        TechnicalAnalysis2351();
        
    }
}

void TechnicalAnalysis2350()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2355();
        
    }
}

void TechnicalAnalysis2x2355()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2345();
        
    }
}

void TechnicalAnalysis2351()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2354();
        
    }
}

void TechnicalAnalysis2354()
{
    if (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2345();
        
    }
}

void TechnicalAnalysis2266()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 5.00)
    {
        TechnicalAnalysis2269();
        TechnicalAnalysis2270();
        
    }
}

void TechnicalAnalysis2269()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2315();
        
    }
}

void TechnicalAnalysis2x2315()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2345();
        
    }
}

void TechnicalAnalysis2270()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2271();
        
    }
}

void TechnicalAnalysis2271()
{
    if (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2345();
        
    }
}

void TechnicalAnalysis2275()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 15.00)
    {
        TechnicalAnalysis2278();
        TechnicalAnalysis2279();
        
    }
}

void TechnicalAnalysis2278()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2282();
        
    }
}

void TechnicalAnalysis2x2282()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2345();
        
    }
}

void TechnicalAnalysis2279()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2283();
        
    }
}

void TechnicalAnalysis2283()
{
    if (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2345();
        
    }
}

void TechnicalAnalysis2285()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 30.00)
    {
        TechnicalAnalysis2289();
        TechnicalAnalysis2288();
        
    }
}

void TechnicalAnalysis2289()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2292();
        
    }
}

void TechnicalAnalysis2x2292()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2345();
        
    }
}

void TechnicalAnalysis2288()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2293();
        
    }
}

void TechnicalAnalysis2293()
{
    if (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2345();
        
    }
}

void TechnicalAnalysis2297()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 60.00)
    {
        TechnicalAnalysis2300();
        TechnicalAnalysis2301();
        
    }
}

void TechnicalAnalysis2300()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2304();
        
    }
}

void TechnicalAnalysis2x2304()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2345();
        
    }
}

void TechnicalAnalysis2301()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2305();
        
    }
}

void TechnicalAnalysis2305()
{
    if (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2345();
        
    }
}

void TechnicalAnalysis2308()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 75.00)
    {
        TechnicalAnalysis2309();
        TechnicalAnalysis2255();
        
    }
}

void TechnicalAnalysis2309()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2312();
    }
}

void TechnicalAnalysis2x2312()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2345();
        
    }
}

void TechnicalAnalysis2255()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2313();
        
    }
}

void TechnicalAnalysis2313()
{
    if (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2345();
        
    }
}

void TechnicalAnalysis2320()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis2352();
        TechnicalAnalysis2353();
        
    }
}

void TechnicalAnalysis2352()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2325();
        
    }
}

void TechnicalAnalysis2x2325()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2345();
        
    }
}

void TechnicalAnalysis2353()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2326();
        
    }
}

void TechnicalAnalysis2326()
{
    if (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2345();
        
    }
}

void TechnicalAnalysis2690()
{
    if (iCustom(NULL, PERIOD_M1, "Above_or_Below",0,1) == 1.00)
    {
        TechnicalAnalysis2693();
        TechnicalAnalysis2694();
        TechnicalAnalysis2696();
        TechnicalAnalysis2697();
        TechnicalAnalysis2698();
        TechnicalAnalysis2695();
        TechnicalAnalysis2692();
        TechnicalAnalysis2xOr2707();
        
    }
}

void TechnicalAnalysis2693()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 5.00)
    {
        TechnicalAnalysis19();
        TechnicalAnalysis20();
        
    }
}

void TechnicalAnalysis19()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x23();
        
    }
}

void TechnicalAnalysis2x23()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis4();
        
    }
}

void TechnicalAnalysis4()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        Calculation2703();
        
    }
}

void TechnicalAnalysis20()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis24();
        
    }
}

void TechnicalAnalysis24()
{
    if (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis4();
        
    }
}

void TechnicalAnalysis2694()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 15.00)
    {
        TechnicalAnalysis2679();
        TechnicalAnalysis6();
        
    }
}

void TechnicalAnalysis2679()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x29();
        
    }
}

void TechnicalAnalysis2x29()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis4();
        
    }
}

void TechnicalAnalysis6()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis8();
        
    }
}

void TechnicalAnalysis8()
{
    if (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis4();
        
    }
}

void TechnicalAnalysis2696()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 60.00)
    {
        TechnicalAnalysis36();
        TechnicalAnalysis38();
        
    }
}

void TechnicalAnalysis36()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x41();
        
    }
}

void TechnicalAnalysis2x41()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis4();
        
    }
}

void TechnicalAnalysis38()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis42();
        
    }
}

void TechnicalAnalysis42()
{
    if (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis4();
        
    }
}

void TechnicalAnalysis2697()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 75.00)
    {
        TechnicalAnalysis44();
        TechnicalAnalysis43();
        
    }
}

void TechnicalAnalysis44()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x48();
        
    }
}

void TechnicalAnalysis2x48()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis4();
        
    }
}

void TechnicalAnalysis43()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis49();
        
    }
}

void TechnicalAnalysis49()
{
    if (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis4();
        
    }
}

void TechnicalAnalysis2698()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 99.00)
    {
        TechnicalAnalysis52();
        TechnicalAnalysis54();
        
    }
}

void TechnicalAnalysis52()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x57();
        
    }
}

void TechnicalAnalysis2x57()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis4();
        
    }
}

void TechnicalAnalysis54()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis58();
        
    }
}

void TechnicalAnalysis58()
{
    if (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis4();
        
    }
}

void TechnicalAnalysis2695()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 30.00)
    {
        TechnicalAnalysis11();
        TechnicalAnalysis31();
        
    }
}

void TechnicalAnalysis11()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis16();
        
    }
}

void TechnicalAnalysis16()
{
    if (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis4();
        
    }
}

void TechnicalAnalysis31()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x34();
        
    }
}

void TechnicalAnalysis2x34()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M30,"Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis4();
        
    }
}

void TechnicalAnalysis2692()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis79();
        TechnicalAnalysis77();
        
    }
}

void TechnicalAnalysis79()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2705();
        
    }
}

void TechnicalAnalysis2x2705()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis4();
        
    }
}

void TechnicalAnalysis77()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis76();
        
    }
}

void TechnicalAnalysis76()
{
    if (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis4();
        
    }
}

void TechnicalAnalysis2xOr2707()
{
    if ((iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) < 0.99) || (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 0.00))
    {
        TechnicalAnalysis2708();
        TechnicalAnalysis2709();
        
    }
}

void TechnicalAnalysis2708()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2710();
        
    }
}

void TechnicalAnalysis2x2710()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis4();
        
    }
}

void TechnicalAnalysis2709()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis85();
        
    }
}

void TechnicalAnalysis85()
{
    if (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis4();
        
    }
}

void TechnicalAnalysis2682()
{
    if (iCustom(NULL, PERIOD_M1, "Execution_Codes",0,1) == 300.00)
    {
        TechnicalAnalysis108();
        TechnicalAnalysis2388();
        
    }
}

void TechnicalAnalysis108()
{
    if (iCustom(NULL, PERIOD_M1, "Above_or_Below",0,1) == 1.00)
    {
        TechnicalAnalysis124();
        TechnicalAnalysis98();
        TechnicalAnalysis102();
        TechnicalAnalysis116();
        TechnicalAnalysis134();
        TechnicalAnalysis107();
        TechnicalAnalysis261();
        TechnicalAnalysis2xOr279();
        
    }
}

void TechnicalAnalysis124()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 99.00)
    {
        TechnicalAnalysis122();
        TechnicalAnalysis123();
        
    }
}

void TechnicalAnalysis122()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x142();
        TechnicalAnalysis2x143();
        
    }
}

void TechnicalAnalysis2x142()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis164()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        Calculation2703();
        
    }
}

void TechnicalAnalysis2x143()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis123()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2xOr144();
        
    }
}

void TechnicalAnalysis2xOr144()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis98()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 5.00)
    {
        TechnicalAnalysis94();
        TechnicalAnalysis97();
        
    }
}

void TechnicalAnalysis94()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x125();
        TechnicalAnalysis2x126();
        
    }
}

void TechnicalAnalysis2x125()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis2x126()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis97()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2xOr127();
        
    }
}

void TechnicalAnalysis2xOr127()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis102()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 15.00)
    {
        TechnicalAnalysis101();
        TechnicalAnalysis93();
        
    }
}

void TechnicalAnalysis101()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x128();
        TechnicalAnalysis2x129();
        
    }
}

void TechnicalAnalysis2x128()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis2x129()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis93()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2xOr130();
        
    }
}

void TechnicalAnalysis2xOr130()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis116()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 60.00)
    {
        TechnicalAnalysis114();
        TechnicalAnalysis115();
        
    }
}

void TechnicalAnalysis114()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x139();
        TechnicalAnalysis2x140();
        
    }
}

void TechnicalAnalysis2x139()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis2x140()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis115()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2xOr141();
        
    }
}

void TechnicalAnalysis2xOr141()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis134()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 75.00)
    {
        TechnicalAnalysis135();
        TechnicalAnalysis119();
        
    }
}

void TechnicalAnalysis135()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2xOr138();
        
    }
}

void TechnicalAnalysis2xOr138()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis119()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x136();
        TechnicalAnalysis2x137();
        
    }
}

void TechnicalAnalysis2x136()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis2x137()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis107()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 30.00)
    {
        TechnicalAnalysis106();
        TechnicalAnalysis111();
        
    }
}

void TechnicalAnalysis106()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2xOr133();
        
    }
}

void TechnicalAnalysis2xOr133()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis111()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x131();
        TechnicalAnalysis2x132();
        
    }
}

void TechnicalAnalysis2x131()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis2x132()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis261()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis264();
        TechnicalAnalysis265();
        
    }
}

void TechnicalAnalysis264()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x271();
        TechnicalAnalysis2x266();
        
    }
}

void TechnicalAnalysis2x271()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis2x266()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis265()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2xOr267();
        
    }
}

void TechnicalAnalysis2xOr267()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis2xOr279()
{
    if ((iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) < 0.99) || (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 0.00))
    {
        TechnicalAnalysis2711();
        TechnicalAnalysis257();
        
    }
}

void TechnicalAnalysis2711()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2712();
        TechnicalAnalysis2x2713();
        
    }
}

void TechnicalAnalysis2x2712()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis2x2713()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis257()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2xOr283();
        
    }
}

void TechnicalAnalysis2xOr283()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis164();
        
    }
}

void TechnicalAnalysis2388()
{
    if (iCustom(NULL, PERIOD_M1, "Above_or_Below",0,1) == -1.00)
    {
        TechnicalAnalysis2037();
        TechnicalAnalysis2025();
        TechnicalAnalysis2027();
        TechnicalAnalysis2033();
        TechnicalAnalysis2038();
        TechnicalAnalysis2029();
        TechnicalAnalysis2043();
        TechnicalAnalysis2xOr2046();
        
    }
}

void TechnicalAnalysis2037()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 99.00)
    {
        TechnicalAnalysis2035();
        TechnicalAnalysis2036();
        
    }
}

void TechnicalAnalysis2035()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2410();
        TechnicalAnalysis2x2411();
        
    }
}

void TechnicalAnalysis2x2410()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2040()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis2243();
        
    }
}

void TechnicalAnalysis2x2411()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2036()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2xOr2412();
        
    }
}

void TechnicalAnalysis2xOr2412()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2025()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 5.00)
    {
        TechnicalAnalysis2023();
        TechnicalAnalysis2024();
        
    }
}

void TechnicalAnalysis2023()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2395();
        TechnicalAnalysis2x2396();
        
    }
}

void TechnicalAnalysis2x2395()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2x2396()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2024()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2xOr2397();
        
    }
}

void TechnicalAnalysis2xOr2397()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2027()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 15.00)
    {
        TechnicalAnalysis2026();
        TechnicalAnalysis2022();
        
    }
}

void TechnicalAnalysis2026()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2398();
        TechnicalAnalysis2x2399();
        
    }
}

void TechnicalAnalysis2x2398()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2x2399()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2022()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2xOr2400();
        
    }
}

void TechnicalAnalysis2xOr2400()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2033()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 60.00)
    {
        TechnicalAnalysis2031();
        TechnicalAnalysis2032();
        
    }
}

void TechnicalAnalysis2031()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2404();
        TechnicalAnalysis2x2405();
        
    }
}

void TechnicalAnalysis2x2404()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2x2405()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2032()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2xOr2406();
        
    }
}

void TechnicalAnalysis2xOr2406()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2038()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 75.00)
    {
        TechnicalAnalysis2039();
        TechnicalAnalysis2034();
        
    }
}

void TechnicalAnalysis2039()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2xOr2409();
        
    }
}

void TechnicalAnalysis2xOr2409()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2034()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2407();
        TechnicalAnalysis2x2408();
        
    }
}

void TechnicalAnalysis2x2407()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2x2408()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2029()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 30.00)
    {
        TechnicalAnalysis2028();
        TechnicalAnalysis2030();
        
    }
}

void TechnicalAnalysis2028()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2xOr2403();
        
    }
}

void TechnicalAnalysis2xOr2403()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2030()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2401();
        TechnicalAnalysis2x2402();
        
    }
}

void TechnicalAnalysis2x2401()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2x2402()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2043()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis2044();
        TechnicalAnalysis2045();
        
    }
}

void TechnicalAnalysis2044()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2392();
        TechnicalAnalysis2x2393();
        
    }
}

void TechnicalAnalysis2x2392()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2x2393()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2045()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2xOr2394();
        
    }
}

void TechnicalAnalysis2xOr2394()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2xOr2046()
{
    if ((iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) < 0.99) || (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 0.00))
    {
        TechnicalAnalysis2387();
        TechnicalAnalysis2042();
        
    }
}

void TechnicalAnalysis2387()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2389();
        TechnicalAnalysis2x2390();
        
    }
}

void TechnicalAnalysis2x2389()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2x2390()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2042()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2xOr2391();
        
    }
}

void TechnicalAnalysis2xOr2391()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2040();
        
    }
}

void TechnicalAnalysis2683()
{
    if (iCustom(NULL, PERIOD_M1, "Execution_Codes",0,1) == 400.00)
    {
        TechnicalAnalysis386();
        TechnicalAnalysis2428();
        
    }
}

void TechnicalAnalysis386()
{
    if (iCustom(NULL, PERIOD_M1, "Above_or_Below",0,1) == 1.00)
    {
        TechnicalAnalysis428();
        TechnicalAnalysis446();
        TechnicalAnalysis447();
        TechnicalAnalysis390();
        TechnicalAnalysis393();
        TechnicalAnalysis412();
        TechnicalAnalysis476();
        TechnicalAnalysis2xOr482();
        
    }
}

void TechnicalAnalysis428()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 99.00)
    {
        TechnicalAnalysis426();
        TechnicalAnalysis427();
        
    }
}

void TechnicalAnalysis426()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x431();
        
    }
}

void TechnicalAnalysis3x431()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr433();
        
    }
}

void TechnicalAnalysis3xOr433()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr448();
        
    }
}

void TechnicalAnalysis2xOr448()
{
    if ((iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00) || (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) < 0.00))
    {
        Calculation2703();
        
    }
}

void TechnicalAnalysis427()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x432();
        
    }
}

void TechnicalAnalysis3x432()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr448();
        
    }
}

void TechnicalAnalysis446()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 5.00)
    {
        TechnicalAnalysis403();
        TechnicalAnalysis404();
        
    }
}

void TechnicalAnalysis403()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x405();
        
    }
}

void TechnicalAnalysis3x405()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr407();
        
    }
}

void TechnicalAnalysis3xOr407()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr448();
        
    }
}

void TechnicalAnalysis404()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x406();
        
    }
}

void TechnicalAnalysis3x406()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr448();
        
    }
}

void TechnicalAnalysis447()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 15.00)
    {
        TechnicalAnalysis383();
        TechnicalAnalysis378();
        
    }
}

void TechnicalAnalysis383()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x402();
        
    }
}

void TechnicalAnalysis3x402()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr408();
        
    }
}

void TechnicalAnalysis3xOr408()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr448();
        
    }
}

void TechnicalAnalysis378()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x401();
        
    }
}

void TechnicalAnalysis3x401()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr448();
        
    }
}

void TechnicalAnalysis390()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 60.00)
    {
        TechnicalAnalysis388();
        TechnicalAnalysis389();
        
    }
}

void TechnicalAnalysis388()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x425();
        
    }
}

void TechnicalAnalysis3x425()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr424();
        
    }
}

void TechnicalAnalysis3xOr424()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr448();
        
    }
}

void TechnicalAnalysis389()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x423();
        
    }
}

void TechnicalAnalysis3x423()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr448();
        
    }
}

void TechnicalAnalysis393()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 75.00)
    {
        TechnicalAnalysis396();
        TechnicalAnalysis382();
        
    }
}

void TechnicalAnalysis396()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x642();
        
    }
}

void TechnicalAnalysis3x642()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr419();
        
    }
}

void TechnicalAnalysis3xOr419()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr448();
        
    }
}

void TechnicalAnalysis382()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x420();
        
    }
}

void TechnicalAnalysis3x420()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr448();
        
    }
}

void TechnicalAnalysis412()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 30.00)
    {
        TechnicalAnalysis410();
        TechnicalAnalysis415();
        
    }
}

void TechnicalAnalysis410()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x417();
        
    }
}

void TechnicalAnalysis3x417()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr448();
        
    }
}

void TechnicalAnalysis415()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x416();
        
    }
}

void TechnicalAnalysis3x416()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr414();
        
    }
}

void TechnicalAnalysis3xOr414()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr448();
        
    }
}

void TechnicalAnalysis476()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis466();
        TechnicalAnalysis469();
        
    }
}

void TechnicalAnalysis466()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x470();
        
    }
}

void TechnicalAnalysis3x470()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr473();
        
    }
}

void TechnicalAnalysis3xOr473()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr448();
        
    }
}

void TechnicalAnalysis469()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x471();
        
    }
}

void TechnicalAnalysis3x471()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr448();
        
    }
}

void TechnicalAnalysis2xOr482()
{
    if ((iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) < 0.99) || (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 0.00))
    {
        TechnicalAnalysis461();
        TechnicalAnalysis462();
        
    }
}

void TechnicalAnalysis461()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x488();
        
    }
}

void TechnicalAnalysis3x488()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr484();
        
    }
}

void TechnicalAnalysis3xOr484()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr448();
        
    }
}

void TechnicalAnalysis462()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x483();
        
    }
}

void TechnicalAnalysis3x483()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr448();
        
    }
}

void TechnicalAnalysis2428()
{
    if (iCustom(NULL, PERIOD_M1, "Above_or_Below",0,1) == -1.00)
    {
        TechnicalAnalysis2079();
        TechnicalAnalysis2080();
        TechnicalAnalysis2081();
        TechnicalAnalysis2069();
        TechnicalAnalysis2070();
        TechnicalAnalysis2075();
        TechnicalAnalysis2087();
        TechnicalAnalysis2xOr2088();
        
    }
}

void TechnicalAnalysis2079()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 99.00)
    {
        TechnicalAnalysis2077();
        TechnicalAnalysis2078();
        
    }
}

void TechnicalAnalysis2077()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x2436();
        
    }
}

void TechnicalAnalysis3x2436()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr2437();
        
    }
}

void TechnicalAnalysis3xOr2437()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2082();
        
    }
}

void TechnicalAnalysis2xOr2082()
{
    if ((iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00) || (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) < 0.00))
    {
        TechnicalAnalysis2243();
        
    }
}

void TechnicalAnalysis2078()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x2438();
        
    }
}

void TechnicalAnalysis3x2438()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr2082();
        
    }
}

void TechnicalAnalysis2080()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 5.00)
    {
        TechnicalAnalysis2072();
        TechnicalAnalysis2073();
        
    }
}

void TechnicalAnalysis2072()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x2421();
        
    }
}

void TechnicalAnalysis3x2421()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr2420();
        
    }
}

void TechnicalAnalysis3xOr2420()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2082();
        
    }
}

void TechnicalAnalysis2073()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x2419();
        
    }
}

void TechnicalAnalysis3x2419()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr2082();
        
    }
}

void TechnicalAnalysis2081()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 15.00)
    {
        TechnicalAnalysis2066();
        TechnicalAnalysis2064();
        
    }
}

void TechnicalAnalysis2066()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x2424();
        
    }
}

void TechnicalAnalysis3x2424()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr2423();
        
    }
}

void TechnicalAnalysis3xOr2423()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2082();
        
    }
}

void TechnicalAnalysis2064()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x2422();
        
    }
}

void TechnicalAnalysis3x2422()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr2082();
        
    }
}

void TechnicalAnalysis2069()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 60.00)
    {
        TechnicalAnalysis2067();
        TechnicalAnalysis2068();
        
    }
}

void TechnicalAnalysis2067()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x2430();
        
    }
}

void TechnicalAnalysis3x2430()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr2431();
        
    }
}

void TechnicalAnalysis3xOr2431()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2082();
        
    }
}

void TechnicalAnalysis2068()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x2432();
        
    }
}

void TechnicalAnalysis3x2432()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr2082();
        
    }
}

void TechnicalAnalysis2070()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 75.00)
    {
        TechnicalAnalysis2071();
        TechnicalAnalysis2065();
        
    }
}

void TechnicalAnalysis2071()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x2434();
        
    }
}

void TechnicalAnalysis3x2434()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr2433();
        
    }
}

void TechnicalAnalysis3xOr2433()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2082();
        
    }
}

void TechnicalAnalysis2065()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x2435();
        
    }
}

void TechnicalAnalysis3x2435()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr2082();
        
    }
}

void TechnicalAnalysis2075()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 30.00)
    {
        TechnicalAnalysis2074();
        TechnicalAnalysis2076();
        
    }
}

void TechnicalAnalysis2074()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x2427();
        
    }
}

void TechnicalAnalysis3x2427()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr2082();
        
    }
}

void TechnicalAnalysis2076()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x2425();
        
    }
}

void TechnicalAnalysis3x2425()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr2426();
        
    }
}

void TechnicalAnalysis3xOr2426()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2082();
        
    }
}

void TechnicalAnalysis2087()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis2085();
        TechnicalAnalysis2086();
        
    }
}

void TechnicalAnalysis2085()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x2416();
        
    }
}

void TechnicalAnalysis3x2416()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr2417();
        
    }
}

void TechnicalAnalysis3xOr2417()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2082();
        
    }
}

void TechnicalAnalysis2086()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x2418();
        
    }
}

void TechnicalAnalysis3x2418()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr2082();
        
    }
}

void TechnicalAnalysis2xOr2088()
{
    if ((iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) < 0.99) || (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 0.00))
    {
        TechnicalAnalysis2083();
        TechnicalAnalysis2084();
        
    }
}

void TechnicalAnalysis2083()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x2413();
        
    }
}

void TechnicalAnalysis3x2413()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr2415();
        
    }
}

void TechnicalAnalysis3xOr2415()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2082();
        
    }
}

void TechnicalAnalysis2084()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x2414();
        
    }
}

void TechnicalAnalysis3x2414()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr2082();
        
    }
}

void TechnicalAnalysis2684()
{
    if (iCustom(NULL, PERIOD_M1, "Execution_Codes",0,1) == 500.00)
    {
        TechnicalAnalysis183();   
        TechnicalAnalysis2429();  
    }
}

void TechnicalAnalysis183()
{
    if (iCustom(NULL, PERIOD_M1, "Above_or_Below",0,1) == 1.00)
    {
        TechnicalAnalysis525();
        TechnicalAnalysis517();
        TechnicalAnalysis518();
        TechnicalAnalysis507();
        TechnicalAnalysis510();
        TechnicalAnalysis516();
        TechnicalAnalysis534();
        TechnicalAnalysis2xOr538();  // Problematic functions
    }
}

void TechnicalAnalysis525()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 99.00)
    {
        TechnicalAnalysis523();
        TechnicalAnalysis524();
        
    }
}

void TechnicalAnalysis523()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis227();
        
    }
}

void TechnicalAnalysis227()
{
    if (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr229();
        
    }
}

void TechnicalAnalysis2xOr229()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr231();
        
    }
}

void TechnicalAnalysis3xOr231()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr245();
        
    }
}

void TechnicalAnalysis2xOr245()
{
    if ((iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00) || (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) < 0.00))
    {
        Calculation2703();
        
    }
}

void TechnicalAnalysis524()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis228();
        
    }
}

void TechnicalAnalysis228()
{
    if (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr230();
        
    }
}

void TechnicalAnalysis2xOr230()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr245();
        
    }
}

void TechnicalAnalysis517()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 5.00)
    {
        TechnicalAnalysis515();
        TechnicalAnalysis528();
        
    }
}

void TechnicalAnalysis515()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis196();
        
    }
}

void TechnicalAnalysis196()
{
    if (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr199();
        
    }
}

void TechnicalAnalysis2xOr199()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr245();
        
    }
}

void TechnicalAnalysis528()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis195();
        
    }
}

void TechnicalAnalysis195()
{
    if (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr198();
        
    }
}

void TechnicalAnalysis2xOr198()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr197();
        
    }
}

void TechnicalAnalysis3xOr197()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr245();
        
    }
}

void TechnicalAnalysis518()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 15.00)
    {
        TechnicalAnalysis501();
        TechnicalAnalysis497();
        
    }
}

void TechnicalAnalysis501()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis191();
        
    }
}

void TechnicalAnalysis191()
{
    if (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr188();
        
    }
}

void TechnicalAnalysis2xOr188()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr187();
        
    }
}

void TechnicalAnalysis3xOr187()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr245();
        
    }
}

void TechnicalAnalysis497()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis190();
        
    }
}

void TechnicalAnalysis190()
{
    if (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr189();
        
    }
}

void TechnicalAnalysis2xOr189()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr245();
        
    }
}

void TechnicalAnalysis507()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 60.00)
    {
        TechnicalAnalysis505();
        TechnicalAnalysis506();
        
    }
}

void TechnicalAnalysis505()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis219();
        
    }
}

void TechnicalAnalysis219()
{
    if (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr225();
        
    }
}

void TechnicalAnalysis2xOr225()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr221();
        
    }
}

void TechnicalAnalysis3xOr221()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr245();
        
    }
}

void TechnicalAnalysis506()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis220();
        
    }
}

void TechnicalAnalysis220()
{
    if (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr226();
        
    }
}

void TechnicalAnalysis2xOr226()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr245();
        
    }
}

void TechnicalAnalysis510()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 75.00)
    {
        TechnicalAnalysis513();
        TechnicalAnalysis500();
        
    }
}

void TechnicalAnalysis513()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis203();
        
    }
}

void TechnicalAnalysis203()
{
    if (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr205();
        
    }
}

void TechnicalAnalysis2xOr205()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr207();
        
    }
}

void TechnicalAnalysis3xOr207()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr245();
        
    }
}

void TechnicalAnalysis500()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis204();
        
    }
}

void TechnicalAnalysis204()
{
    if (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr206();
        
    }
}

void TechnicalAnalysis2xOr206()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr245();
        
    }
}

void TechnicalAnalysis516()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 30.00)
    {
        TechnicalAnalysis519();
        TechnicalAnalysis520();
        
    }
}

void TechnicalAnalysis519()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis215();
        
    }
}

void TechnicalAnalysis215()
{
    if (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr212();
        
    }
}

void TechnicalAnalysis2xOr212()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr245();
        
    }
}

void TechnicalAnalysis520()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis214();
        
    }
}

void TechnicalAnalysis214()
{
    if (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr213();
        
    }
}

void TechnicalAnalysis2xOr213()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr211();
        
    }
}

void TechnicalAnalysis3xOr211()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr245();
        
    }
}

void TechnicalAnalysis534()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis533();
        TechnicalAnalysis535();
        
    }
}

void TechnicalAnalysis533()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis291();
        
    }
}

void TechnicalAnalysis291()
{
    if (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr289();
        
    }
}

void TechnicalAnalysis2xOr289()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr245();
        
    }
}

void TechnicalAnalysis535()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis298();
        
    }
}

void TechnicalAnalysis298()
{
    if (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr297();
        
    }
}

void TechnicalAnalysis2xOr297()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr290();
    }
}

void TechnicalAnalysis3xOr290()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr245();
        
    }
}

void TechnicalAnalysis2xOr538()
{
    if ((iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) < 0.99) || (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 0.00))
    {
        TechnicalAnalysis531();
        TechnicalAnalysis530();
        
    }
}

void TechnicalAnalysis531()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis301();
        
    }
}

void TechnicalAnalysis301()
{
    if (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr305();
        
    }
}

void TechnicalAnalysis2xOr305()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr304();
        
    }
}

void TechnicalAnalysis3xOr304()
{
    if ((iCustom(NULL, NULL,NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr245();
        
    }
}

void TechnicalAnalysis530()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis302();
        
    }
}

void TechnicalAnalysis302()
{
    if (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr303();
        
    }
}

void TechnicalAnalysis2xOr303()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr245();
        
    }
}

void TechnicalAnalysis2429()
{
    if (iCustom(NULL, PERIOD_M1, "Above_or_Below",0,1) == -1.00)
    {
        TechnicalAnalysis2107();
        TechnicalAnalysis2101();
        TechnicalAnalysis2102();
        TechnicalAnalysis2096();
        TechnicalAnalysis2097();
        TechnicalAnalysis2100();
        TechnicalAnalysis2112();
        //TechnicalAnalysis2xOr2114(); // Problematic functions
    }
}

void TechnicalAnalysis2107()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 99.00)
    {
        TechnicalAnalysis2105();
        TechnicalAnalysis2106();
        
    }
}

void TechnicalAnalysis2105()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2477();
        
    }
}

void TechnicalAnalysis2477()
{
    if (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr2478();
        
    }
}

void TechnicalAnalysis2xOr2478()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr2479();
        
    }
}

void TechnicalAnalysis3xOr2479()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2041();
        
    }
}

void TechnicalAnalysis2xOr2041()
{
    if ((iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00) || (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) < 0.00))
    {
        TechnicalAnalysis2243();
        
    }
}

void TechnicalAnalysis2106()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2480();
        
    }
}

void TechnicalAnalysis2480()
{
    if (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr2481();
        
    }
}

void TechnicalAnalysis2xOr2481()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr2041();
        
    }
}

void TechnicalAnalysis2101()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 5.00)
    {
        TechnicalAnalysis2099();
        TechnicalAnalysis2108();
        
    }
}

void TechnicalAnalysis2099()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2455();
        
    }
}

void TechnicalAnalysis2455()
{
    if (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr2456();
        
    }
}

void TechnicalAnalysis2xOr2456()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr2041();
        
    }
}

void TechnicalAnalysis2108()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2452();
        
    }
}

void TechnicalAnalysis2452()
{
    if (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr2453();
        
    }
}

void TechnicalAnalysis2xOr2453()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr2454();
        
    }
}

void TechnicalAnalysis3xOr2454()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2041();
        
    }
}

void TechnicalAnalysis2102()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 15.00)
    {
        TechnicalAnalysis2093();
        TechnicalAnalysis2091();
        
    }
}

void TechnicalAnalysis2093()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2457();
        
    }
}

void TechnicalAnalysis2457()
{
    if (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr2458();
        
    }
}

void TechnicalAnalysis2xOr2458()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr2459();
        
    }
}

void TechnicalAnalysis3xOr2459()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2041();
        
    }
}

void TechnicalAnalysis2091()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2460();
        
    }
}

void TechnicalAnalysis2460()
{
    if (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr2465();
        
    }
}

void TechnicalAnalysis2xOr2465()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr2041();
        
    }
}

void TechnicalAnalysis2096()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 60.00)
    {
        TechnicalAnalysis2094();
        TechnicalAnalysis2095();
        
    }
}

void TechnicalAnalysis2094()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2471();
        
    }
}

void TechnicalAnalysis2471()
{
    if (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr2467();
        
    }
}

void TechnicalAnalysis2xOr2467()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr2468();
        
    }
}

void TechnicalAnalysis3xOr2468()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2041();
        
    }
}

void TechnicalAnalysis2095()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2469();
        
    }
}

void TechnicalAnalysis2469()
{
    if (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr2470();
        
    }
}

void TechnicalAnalysis2xOr2470()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr2041();
        
    }
}

void TechnicalAnalysis2097()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 75.00)
    {
        TechnicalAnalysis2098();
        TechnicalAnalysis2092();
        
    }
}

void TechnicalAnalysis2098()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2472();
        
    }
}

void TechnicalAnalysis2472()
{
    if (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr2473();
        
    }
}

void TechnicalAnalysis2xOr2473()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr2474();
        
    }
}

void TechnicalAnalysis3xOr2474()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2041();
        
    }
}

void TechnicalAnalysis2092()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2475();
        
    }
}

void TechnicalAnalysis2475()
{
    if (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr2476();
        
    }
}

void TechnicalAnalysis2xOr2476()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr2041();
        
    }
}

void TechnicalAnalysis2100()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 30.00)
    {
        TechnicalAnalysis2103();
        TechnicalAnalysis2104();
        
    }
}

void TechnicalAnalysis2103()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2464();
        
    }
}

void TechnicalAnalysis2464()
{
    if (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr2466();
        
    }
}

void TechnicalAnalysis2xOr2466()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr2041();
        
    }
}

void TechnicalAnalysis2104()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2461();
        
    }
}

void TechnicalAnalysis2461()
{
    if (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr2462();
        
    }
}

void TechnicalAnalysis2xOr2462()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr2463();
        
    }
}

void TechnicalAnalysis3xOr2463()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2041();
        
    }
}

void TechnicalAnalysis2112()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis2111();
        TechnicalAnalysis2113();
        
    }
}

void TechnicalAnalysis2111()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2447();
        TechnicalAnalysis2451();
        
    }
}

void TechnicalAnalysis2447()
{
    if (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr2448();
        
    }
}

void TechnicalAnalysis2xOr2448()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr2041();
        
    }
}

void TechnicalAnalysis2451()
{
    if (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr2448();
        
    }
}

void TechnicalAnalysis2113()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2444();
        
    }
}

void TechnicalAnalysis2444()
{
    if (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr2445();
        
    }
}

void TechnicalAnalysis2xOr2445()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr2446();
        
    }
}

void TechnicalAnalysis3xOr2446()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2041();
        
    }
}

void TechnicalAnalysis2xOr2114()
{
    if ((iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) < 0.99) || (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 0.00))
    {
        TechnicalAnalysis2110();
        TechnicalAnalysis2109();
        
    }
}

void TechnicalAnalysis2110()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2439();
        
    }
}

void TechnicalAnalysis2439()
{
    if (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr2442();
        
    }
}

void TechnicalAnalysis2xOr2442()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis3xOr2440();
        
    }
}

void TechnicalAnalysis3xOr2440()
{
    if ((iCustom(NULL, NULL,NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2041();
        
    }
}

void TechnicalAnalysis2109()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2441();
        
    }
}

void TechnicalAnalysis2441()
{
    if (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1))
    {
        TechnicalAnalysis2xOr2443();
        
    }
}

void TechnicalAnalysis2xOr2443()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2xOr2041();
        
    }
}

void TechnicalAnalysis2686()
{
    if (iCustom(NULL, PERIOD_M1, "Execution_Codes",0,1) == 700.00)
    {
        TechnicalAnalysis317();
        TechnicalAnalysis2358();
        
    }
}

void TechnicalAnalysis317()
{
    if (iCustom(NULL, PERIOD_M1, "Above_or_Below",0,1) == 1.00)
    {
        TechnicalAnalysis348();
        TechnicalAnalysis365();
        TechnicalAnalysis366();
        TechnicalAnalysis321();
        TechnicalAnalysis324();
        TechnicalAnalysis337();
        TechnicalAnalysis2xOr370();
        TechnicalAnalysis576();
        
    }
}

void TechnicalAnalysis348()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 99.00)
    {
        TechnicalAnalysis346();
        TechnicalAnalysis347();
        
    }
}

void TechnicalAnalysis346()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x351();
        
    }
}

void TechnicalAnalysis3x351()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis622();
        
    }
}

void TechnicalAnalysis622()
{
    if (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis3xOr623();
        TechnicalAnalysis624();
        
    }
}

void TechnicalAnalysis3xOr623()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis2xOr491()
{
    if ((iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00) || (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) < 0.00))
    {
        Calculation2703();
        
    }
}

void TechnicalAnalysis624()
{
    if (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_4",0,2))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis347()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x352();
        
    }
}

void TechnicalAnalysis3x352()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis625();
        
    }
}

void TechnicalAnalysis625()
{
    if (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis365()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 5.00)
    {
        TechnicalAnalysis331();
        TechnicalAnalysis332();
        
    }
}

void TechnicalAnalysis331()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x333();
        
    }
}

void TechnicalAnalysis3x333()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis554();
        
    }
}

void TechnicalAnalysis554()
{
    if (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis3xOr555();
        TechnicalAnalysis556();
        
    }
}

void TechnicalAnalysis3xOr555()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis556()
{
    if (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,2))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis332()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x334();
        
    }
}

void TechnicalAnalysis3x334()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis557();
        
    }
}

void TechnicalAnalysis557()
{
    if (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis366()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 15.00)
    {
        TechnicalAnalysis314();
        TechnicalAnalysis309();
        
    }
}

void TechnicalAnalysis314()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x561();
        
    }
}

void TechnicalAnalysis3x561()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis567();
        
    }
}

void TechnicalAnalysis567()
{
    if (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis3xOr565();
        TechnicalAnalysis566();
        
    }
}

void TechnicalAnalysis3xOr565()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis566()
{
    if (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_4",0,2))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis309()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x330();
        
    }
}

void TechnicalAnalysis3x330()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis564();
        
    }
}

void TechnicalAnalysis564()
{
    if (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis321()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 60.00)
    {
        TechnicalAnalysis319();
        TechnicalAnalysis320();
        
    }
}

void TechnicalAnalysis319()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x345();
        
    }
}

void TechnicalAnalysis3x345()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis615();
        
    }
}

void TechnicalAnalysis615()
{
    if (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis3xOr612();
        TechnicalAnalysis613();
        
    }
}

void TechnicalAnalysis3xOr612()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis613()
{
    if (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_4",0,2))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis320()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x344();
        
    }
}

void TechnicalAnalysis3x344()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis614();
        
    }
}

void TechnicalAnalysis614()
{
    if (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis324()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 75.00)
    {
        TechnicalAnalysis327();
        TechnicalAnalysis313();
        
    }
}

void TechnicalAnalysis327()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x342();
        
    }
}

void TechnicalAnalysis3x342()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis601();
        
    }
}

void TechnicalAnalysis601()
{
    if (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis3xOr603();
        TechnicalAnalysis604();
        
    }
}

void TechnicalAnalysis3xOr603()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis604()
{
    if (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_4",0,2))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis313()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x343();
        
    }
}

void TechnicalAnalysis3x343()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis602();
        
    }
}

void TechnicalAnalysis602()
{
    if (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis337()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 30.00)
    {
        TechnicalAnalysis335();
        TechnicalAnalysis339();
        
    }
}

void TechnicalAnalysis335()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x341();
        
    }
}

void TechnicalAnalysis3x341()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis595();
        
    }
}

void TechnicalAnalysis595()
{
    if (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis339()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x340();
        
    }
}

void TechnicalAnalysis3x340()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis594();
        
    }
}

void TechnicalAnalysis594()
{
    if (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis3xOr593();
        TechnicalAnalysis592();
        
    }
}

void TechnicalAnalysis3xOr593()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis592()
{
    if (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_4",0,2))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis2xOr370()
{
    if ((iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) < 0.99) || (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 0.00))
    {
        TechnicalAnalysis489();
        TechnicalAnalysis367();
        
    }
}

void TechnicalAnalysis489()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x490();
        
    }
}

void TechnicalAnalysis3x490()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis544();
        
    }
}

void TechnicalAnalysis544()
{
    if (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis3xOr545();
        TechnicalAnalysis546();
        
    }
}

void TechnicalAnalysis3xOr545()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis546()
{
    if (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_4",0,2))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis367()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x371();
        
    }
}

void TechnicalAnalysis3x371()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis543();
        
    }
}

void TechnicalAnalysis543()
{
    if (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis576()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis577();
        TechnicalAnalysis578();
        
    }
}

void TechnicalAnalysis577()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x579();
        
    }
}

void TechnicalAnalysis3x579()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis582();
        
    }
}

void TechnicalAnalysis582()
{
    if (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis3xOr583();
        TechnicalAnalysis584();
        
    }
}

void TechnicalAnalysis3xOr583()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis584()
{
    if (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_4",0,2))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis578()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x573();
        
    }
}

void TechnicalAnalysis3x573()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis585();
        
    }
}

void TechnicalAnalysis585()
{
    if (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2xOr491();
        
    }
}

void TechnicalAnalysis2358()
{
    if (iCustom(NULL, PERIOD_M1, "Above_or_Below",0,1) == -1.00)
    {
        TechnicalAnalysis2059();
        TechnicalAnalysis2060();
        TechnicalAnalysis2061();
        TechnicalAnalysis2051();
        TechnicalAnalysis2557();
        TechnicalAnalysis2055();
        TechnicalAnalysis2xOr2063();
        TechnicalAnalysis2115();
        
    }
}

void TechnicalAnalysis2059()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 99.00)
    {
        TechnicalAnalysis2057();
        TechnicalAnalysis2058();
        
    }
}

void TechnicalAnalysis2057()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x2576();
        
    }
}

void TechnicalAnalysis3x2576()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2572();
        
    }
}

void TechnicalAnalysis2572()
{
    if (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis3xOr2577();
        TechnicalAnalysis2573();
        
    }
}

void TechnicalAnalysis3xOr2577()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2xOr2090()
{
    if ((iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00) || (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) < 0.00))
    {
        TechnicalAnalysis2243();
        
    }
}

void TechnicalAnalysis2573()
{
    if (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_4",0,2))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2058()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x2574();
        
    }
}

void TechnicalAnalysis3x2574()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2575();
        
    }
}

void TechnicalAnalysis2575()
{
    if (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2060()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 5.00)
    {
        TechnicalAnalysis2052();
        TechnicalAnalysis2053();
        
    }
}

void TechnicalAnalysis2052()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x2528();
        
    }
}

void TechnicalAnalysis3x2528()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2529();
        
    }
}

void TechnicalAnalysis2529()
{
    if (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis3xOr2530();
        TechnicalAnalysis2531();
        
    }
}

void TechnicalAnalysis3xOr2530()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2531()
{
    if (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,2))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2053()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x2532();
        
    }
}

void TechnicalAnalysis3x2532()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2533();
        
    }
}

void TechnicalAnalysis2533()
{
    if (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2061()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 15.00)
    {
        TechnicalAnalysis2048();
        TechnicalAnalysis2047();
        
    }
}

void TechnicalAnalysis2048()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x2539();
        
    }
}

void TechnicalAnalysis3x2539()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2534();
        
    }
}

void TechnicalAnalysis2534()
{
    if (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis3xOr2535();
        TechnicalAnalysis2536();
        
    }
}

void TechnicalAnalysis3xOr2535()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2536()
{
    if (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_4",0,2))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2047()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x2537();
        
    }
}

void TechnicalAnalysis3x2537()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2538();
        
    }
}

void TechnicalAnalysis2538()
{
    if (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2051()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 60.00)
    {
        TechnicalAnalysis2049();
        TechnicalAnalysis2050();
        
    }
}

void TechnicalAnalysis2049()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x2546();
        
    }
}

void TechnicalAnalysis3x2546()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2547();
        
    }
}

void TechnicalAnalysis2547()
{
    if (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis3xOr2548();
        TechnicalAnalysis2549();
        
    }
}

void TechnicalAnalysis3xOr2548()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2549()
{
    if (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_4",0,2))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2050()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x2550();
        
    }
}

void TechnicalAnalysis3x2550()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2551();
        
    }
}

void TechnicalAnalysis2551()
{
    if (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2557()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 75.00)
    {
        TechnicalAnalysis2556();
        TechnicalAnalysis2558();
        
    }
}

void TechnicalAnalysis2556()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x2559();
        
    }
}

void TechnicalAnalysis3x2559()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2560();
        
    }
}

void TechnicalAnalysis2560()
{
    if (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2558()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x2570();
        
    }
}

void TechnicalAnalysis3x2570()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2571();
        
    }
}

void TechnicalAnalysis2571()
{
    if (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2569();
        TechnicalAnalysis3xOr2568();
        
    }
}

void TechnicalAnalysis2569()
{
    if (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_4",0,2))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis3xOr2568()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2055()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 30.00)
    {
        TechnicalAnalysis2054();
        TechnicalAnalysis2056();
        
    }
}

void TechnicalAnalysis2054()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x2544();
        
    }
}

void TechnicalAnalysis3x2544()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2545();
        
    }
}

void TechnicalAnalysis2545()
{
    if (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2056()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x2540();
        
    }
}

void TechnicalAnalysis3x2540()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2541();
        
    }
}

void TechnicalAnalysis2541()
{
    if (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis3xOr2542();
        TechnicalAnalysis2543();
        
    }
}

void TechnicalAnalysis3xOr2542()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2543()
{
    if (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_4",0,2))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2xOr2063()
{
    if ((iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) < 0.99) || (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 0.00))
    {
        TechnicalAnalysis2089();
        TechnicalAnalysis2062();
        
    }
}

void TechnicalAnalysis2089()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x2516();
        
    }
}

void TechnicalAnalysis3x2516()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2517();
        
    }
}

void TechnicalAnalysis2517()
{
    if (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis3xOr2518();
        TechnicalAnalysis2519();
        
    }
}

void TechnicalAnalysis3xOr2518()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2519()
{
    if (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_4",0,2))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2062()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x2521();
        
    }
}

void TechnicalAnalysis3x2521()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2520();
        
    }
}

void TechnicalAnalysis2520()
{
    if (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2115()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis2116();
        TechnicalAnalysis2117();
        
    }
}

void TechnicalAnalysis2116()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis3x2522();
        
    }
}

void TechnicalAnalysis3x2522()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2523();
        
    }
}

void TechnicalAnalysis2523()
{
    if (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis3xOr2524();
        TechnicalAnalysis2525();
        
    }
}

void TechnicalAnalysis3xOr2524()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,2)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2525()
{
    if (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_4",0,2))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2117()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3x2526();
        
    }
}

void TechnicalAnalysis3x2526()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2527();
        
    }
}

void TechnicalAnalysis2527()
{
    if (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2xOr2090();
        
    }
}

void TechnicalAnalysis2685()
{
    if (iCustom(NULL, PERIOD_M1, "Execution_Codes",0,1) == 600.00)
    {
        TechnicalAnalysis693();
        TechnicalAnalysis2357();
        
    }
}

void TechnicalAnalysis693()
{
    if (iCustom(NULL, PERIOD_M1, "Above_or_Below",0,1) == 1.00)
    {
        TechnicalAnalysis714();
        TechnicalAnalysis718();
        TechnicalAnalysis707();
        TechnicalAnalysis697();
        TechnicalAnalysis700();
        TechnicalAnalysis706();
        TechnicalAnalysis738();
        TechnicalAnalysis2xOr726();
        
    }
}

void TechnicalAnalysis714()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 99.00)
    {
        TechnicalAnalysis712();
        TechnicalAnalysis713();
        
    }
}

void TechnicalAnalysis712()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x809();
        TechnicalAnalysis2x810();
        TechnicalAnalysis2x811();
        
    }
}

void TechnicalAnalysis2x809()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis808();
        
    }
}

void TechnicalAnalysis808()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr733();
        
    }
}

void TechnicalAnalysis2xOr733()
{
    if ((iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00) || (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) < 0.00))
    {
        Calculation2703();
        
    }
}

void TechnicalAnalysis2x810()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis808();
        
    }
}

void TechnicalAnalysis2x811()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis808();
        
    }
}

void TechnicalAnalysis713()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr812();
        
    }
}

void TechnicalAnalysis3xOr812()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis808();
        
    }
}

void TechnicalAnalysis718()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 5.00)
    {
        TechnicalAnalysis705();
        TechnicalAnalysis743();
        
    }
}

void TechnicalAnalysis705()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr752();
        
    }
}

void TechnicalAnalysis3xOr752()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis748();
        
    }
}

void TechnicalAnalysis748()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr733();
        
    }
}

void TechnicalAnalysis743()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x749();
        TechnicalAnalysis2x750();
        TechnicalAnalysis2x751();
        
    }
}

void TechnicalAnalysis2x749()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis748();
        
    }
}

void TechnicalAnalysis2x750()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis748();
        
    }
}

void TechnicalAnalysis2x751()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis748();
        
    }
}

void TechnicalAnalysis707()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 15.00)
    {
        TechnicalAnalysis690();
        TechnicalAnalysis686();
        
    }
}

void TechnicalAnalysis690()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x763();
        TechnicalAnalysis2x764();
        TechnicalAnalysis2x765();
        
    }
}

void TechnicalAnalysis2x763()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis762();
        
    }
}

void TechnicalAnalysis762()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr733();
        
    }
}

void TechnicalAnalysis2x764()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis762();
        
    }
}

void TechnicalAnalysis2x765()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis762();
        
    }
}

void TechnicalAnalysis686()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr766();
        
    }
}

void TechnicalAnalysis3xOr766()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis762();
        
    }
}

void TechnicalAnalysis697()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 60.00)
    {
        TechnicalAnalysis695();
        TechnicalAnalysis696();
        
    }
}

void TechnicalAnalysis695()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x788();
        TechnicalAnalysis2x789();
        TechnicalAnalysis2x790();
        
    }
}

void TechnicalAnalysis2x788()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis792();
        
    }
}

void TechnicalAnalysis792()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr733();
        
    }
}

void TechnicalAnalysis2x789()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis792();
        
    }
}

void TechnicalAnalysis2x790()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis792();
        
    }
}

void TechnicalAnalysis696()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr791();
        
    }
}

void TechnicalAnalysis3xOr791()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis792();
        
    }
}

void TechnicalAnalysis700()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 75.00)
    {
        TechnicalAnalysis703();
        TechnicalAnalysis689();
        
    }
}

void TechnicalAnalysis703()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x804();
        TechnicalAnalysis2x805();
        TechnicalAnalysis2x806();
        
    }
}

void TechnicalAnalysis2x804()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis803();
        
    }
}

void TechnicalAnalysis803()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr733();
        
    }
}

void TechnicalAnalysis2x805()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis803();
        
    }
}

void TechnicalAnalysis2x806()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis803();
        
    }
}

void TechnicalAnalysis689()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr807();
        
    }
}

void TechnicalAnalysis3xOr807()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis803();
        
    }
}

void TechnicalAnalysis706()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 30.00)
    {
        TechnicalAnalysis708();
        TechnicalAnalysis709();
        
    }
}

void TechnicalAnalysis708()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr773();
        
    }
}

void TechnicalAnalysis3xOr773()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis768();
        
    }
}

void TechnicalAnalysis768()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr733();
        
    }
}

void TechnicalAnalysis709()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x770();
        TechnicalAnalysis2x771();
        TechnicalAnalysis2x772();
        
    }
}

void TechnicalAnalysis2x770()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis768();
        
    }
}

void TechnicalAnalysis2x771()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis768();
        
    }
}

void TechnicalAnalysis2x772()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis768();
        
    }
}

void TechnicalAnalysis738()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis737();
        TechnicalAnalysis739();
        
    }
}

void TechnicalAnalysis737()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr779();
        
    }
}

void TechnicalAnalysis3xOr779()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis778();
        
    }
}

void TechnicalAnalysis778()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr733();
        
    }
}

void TechnicalAnalysis739()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x782();
        TechnicalAnalysis2x781();
        TechnicalAnalysis2x780();
        
    }
}

void TechnicalAnalysis2x782()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis778();
        
    }
}

void TechnicalAnalysis2x781()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis778();
        
    }
}

void TechnicalAnalysis2x780()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis778();
        
    }
}

void TechnicalAnalysis2xOr726()
{
    if ((iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) < 0.99) || (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 0.00))
    {
        TechnicalAnalysis725();
        TechnicalAnalysis719();
        
    }
}

void TechnicalAnalysis725()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x742();
        TechnicalAnalysis2x741();
        TechnicalAnalysis2x740();
        
    }
}

void TechnicalAnalysis2x742()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis732();
        
    }
}

void TechnicalAnalysis732()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr733();
        
    }
}

void TechnicalAnalysis2x741()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis732();
        
    }
}

void TechnicalAnalysis2x740()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis732();
        
    }
}

void TechnicalAnalysis719()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr731();
        
    }
}

void TechnicalAnalysis3xOr731()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis732();
        
    }
}

void TechnicalAnalysis2357()
{
    if (iCustom(NULL, PERIOD_M1, "Above_or_Below",0,1) == -1.00)
    {
        TechnicalAnalysis2138();
        TechnicalAnalysis2139();
        TechnicalAnalysis2133();
        TechnicalAnalysis2128();
        TechnicalAnalysis2129();
        TechnicalAnalysis2132();
        TechnicalAnalysis2144();
        TechnicalAnalysis2xOr2140();
        
    }
}

void TechnicalAnalysis2138()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 99.00)
    {
        TechnicalAnalysis2136();
        TechnicalAnalysis2137();
        
    }
}

void TechnicalAnalysis2136()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2512();
        TechnicalAnalysis2x2513();
        TechnicalAnalysis2x2514();
        
    }
}

void TechnicalAnalysis2x2512()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2153();
        
    }
}

void TechnicalAnalysis2153()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr2142();
        
    }
}

void TechnicalAnalysis2xOr2142()
{
    if ((iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00) || (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) < 0.00))
    {
        TechnicalAnalysis2243();
        
    }
}

void TechnicalAnalysis2x2513()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2153();
        
    }
}

void TechnicalAnalysis2x2514()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2153();
        
    }
}

void TechnicalAnalysis2137()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr2515();
        
    }
}

void TechnicalAnalysis3xOr2515()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2153();
        
    }
}

void TechnicalAnalysis2139()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 5.00)
    {
        TechnicalAnalysis2131();
        TechnicalAnalysis2146();
        
    }
}

void TechnicalAnalysis2131()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr2495();
        
    }
}

void TechnicalAnalysis3xOr2495()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2147();
        
    }
}

void TechnicalAnalysis2147()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr2142();
        
    }
}

void TechnicalAnalysis2146()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2492();
        TechnicalAnalysis2x2493();
        TechnicalAnalysis2x2494();
        
    }
}

void TechnicalAnalysis2x2492()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2147();
        
    }
}

void TechnicalAnalysis2x2493()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2147();
        
    }
}

void TechnicalAnalysis2x2494()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2147();
        
    }
}

void TechnicalAnalysis2133()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 15.00)
    {
        TechnicalAnalysis2125();
        TechnicalAnalysis2123();
        
    }
}

void TechnicalAnalysis2125()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2496();
        TechnicalAnalysis2x2497();
        TechnicalAnalysis2x2498();
        
    }
}

void TechnicalAnalysis2x2496()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2148();
        
    }
}

void TechnicalAnalysis2148()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr2142();
        
    }
}

void TechnicalAnalysis2x2497()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2148();
        
    }
}

void TechnicalAnalysis2x2498()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2148();
        
    }
}

void TechnicalAnalysis2123()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr2499();
        
    }
}

void TechnicalAnalysis3xOr2499()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2148();
        
    }
}

void TechnicalAnalysis2128()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 60.00)
    {
        TechnicalAnalysis2126();
        TechnicalAnalysis2127();
        
    }
}

void TechnicalAnalysis2126()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2504();
        TechnicalAnalysis2x2505();
        TechnicalAnalysis2x2506();
        
    }
}

void TechnicalAnalysis2x2504()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2151();
        
    }
}

void TechnicalAnalysis2151()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr2142();
        
    }
}

void TechnicalAnalysis2x2505()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2151();
        
    }
}

void TechnicalAnalysis2x2506()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2151();
        
    }
}

void TechnicalAnalysis2127()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr2507();
        
    }
}

void TechnicalAnalysis3xOr2507()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2151();
        
    }
}

void TechnicalAnalysis2129()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 75.00)
    {
        TechnicalAnalysis2130();
        TechnicalAnalysis2124();
        
    }
}

void TechnicalAnalysis2130()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2511();
        TechnicalAnalysis2x2510();
        TechnicalAnalysis2x2509();
        
    }
}

void TechnicalAnalysis2x2511()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2152();
        
    }
}

void TechnicalAnalysis2152()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr2142();
        
    }
}

void TechnicalAnalysis2x2510()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2152();
        
    }
}

void TechnicalAnalysis2x2509()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2152();
        
    }
}

void TechnicalAnalysis2124()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr2508();
        
    }
}

void TechnicalAnalysis3xOr2508()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2152();
        
    }
}

void TechnicalAnalysis2132()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 30.00)
    {
        TechnicalAnalysis2134();
        TechnicalAnalysis2135();
        
    }
}

void TechnicalAnalysis2134()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr2503();
        
    }
}

void TechnicalAnalysis3xOr2503()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2149();
        
    }
}

void TechnicalAnalysis2149()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr2142();
        
    }
}

void TechnicalAnalysis2135()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2500();
        TechnicalAnalysis2x2501();
        TechnicalAnalysis2x2502();
        
    }
}

void TechnicalAnalysis2x2500()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2149();
        
    }
}

void TechnicalAnalysis2x2501()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2149();
        
    }
}

void TechnicalAnalysis2x2502()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2149();
        
    }
}

void TechnicalAnalysis2144()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis2143();
        TechnicalAnalysis2145();
        
    }
}

void TechnicalAnalysis2143()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr2491();
        
    }
}

void TechnicalAnalysis3xOr2491()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2150();
        
    }
}

void TechnicalAnalysis2150()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr2142();
        
    }
}

void TechnicalAnalysis2145()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2488();
        TechnicalAnalysis2x2489();
        TechnicalAnalysis2x2490();
        
    }
}

void TechnicalAnalysis2x2488()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2150();
        
    }
}

void TechnicalAnalysis2x2489()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2150();
        
    }
}

void TechnicalAnalysis2x2490()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2150();
        
    }
}

void TechnicalAnalysis2xOr2140()
{
    if ((iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) < 0.99) || (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 0.00))
    {
        TechnicalAnalysis2482();
        TechnicalAnalysis2483();
        
    }
}

void TechnicalAnalysis2482()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2484();
        TechnicalAnalysis2x2485();
        TechnicalAnalysis2x2486();
        
    }
}

void TechnicalAnalysis2x2484()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2141();
        
    }
}

void TechnicalAnalysis2141()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr2142();
        
    }
}

void TechnicalAnalysis2x2485()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2141();
        
    }
}

void TechnicalAnalysis2x2486()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2141();
        
    }
}

void TechnicalAnalysis2483()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr2487();
        
    }
}

void TechnicalAnalysis3xOr2487()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2141();
        
    }
}

void TechnicalAnalysis2687()
{
    if (iCustom(NULL, PERIOD_M1, "Execution_Codes",0,1) == 800.00)
    {
        TechnicalAnalysis655();
        TechnicalAnalysis2359();
        
    }
}

void TechnicalAnalysis655()
{
    if (iCustom(NULL, PERIOD_M1, "Above_or_Below",0,1) == 1.00)
    {
        TechnicalAnalysis970();
        TechnicalAnalysis893();
        TechnicalAnalysis659();
        TechnicalAnalysis954();
        TechnicalAnalysis963();
        TechnicalAnalysis917();
        TechnicalAnalysis868();
        TechnicalAnalysis2xOr852();
        
    }
}

void TechnicalAnalysis970()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 99.00)
    {
        TechnicalAnalysis968();
        TechnicalAnalysis969();
        
    }
}

void TechnicalAnalysis968()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x984();
        TechnicalAnalysis2x985();
        TechnicalAnalysis2x989();
        TechnicalAnalysis2x986();
        
    }
}

void TechnicalAnalysis2x984()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis977();
        
    }
}

void TechnicalAnalysis977()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr663();
        
    }
}

void TechnicalAnalysis2xOr663()
{
    if ((iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00) || (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) < 0.00))
    {
        Calculation2703();
        
    }
}

void TechnicalAnalysis2x985()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis977();
        
    }
}

void TechnicalAnalysis2x989()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_4",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis977();
        
    }
}

void TechnicalAnalysis2x986()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis977();
        
    }
}

void TechnicalAnalysis969()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr1017();
        TechnicalAnalysis1016();
        
    }
}

void TechnicalAnalysis3xOr1017()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis977();
        
    }
}

void TechnicalAnalysis1016()
{
    if (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis977();
        
    }
}

void TechnicalAnalysis893()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 5.00)
    {
        TechnicalAnalysis891();
        TechnicalAnalysis894();
        
    }
}

void TechnicalAnalysis891()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr999();
        TechnicalAnalysis998();
        
    }
}

void TechnicalAnalysis3xOr999()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis898();
        
    }
}

void TechnicalAnalysis898()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr663();
        
    }
}

void TechnicalAnalysis998()
{
    if (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis898();
        
    }
}

void TechnicalAnalysis894()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x908();
        TechnicalAnalysis2x903();
        TechnicalAnalysis2x904();
        TechnicalAnalysis2x905();
        
    }
}

void TechnicalAnalysis2x908()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis898();
        
    }
}

void TechnicalAnalysis2x903()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis898();
        
    }
}

void TechnicalAnalysis2x904()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis898();
        
    }
}

void TechnicalAnalysis2x905()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis898();
        
    }
}

void TechnicalAnalysis659()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 15.00)
    {
        TechnicalAnalysis652();
        TechnicalAnalysis649();
        
    }
}

void TechnicalAnalysis652()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x915();
        TechnicalAnalysis2x911();
        TechnicalAnalysis2x916();
        TechnicalAnalysis2x912();
        
    }
}

void TechnicalAnalysis2x915()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis668();
        
    }
}

void TechnicalAnalysis668()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr663();
        
    }
}

void TechnicalAnalysis2x911()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis668();
        
    }
}

void TechnicalAnalysis2x916()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis668();
        
    }
}

void TechnicalAnalysis2x912()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis668();
        
    }
}

void TechnicalAnalysis649()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr1001();
        TechnicalAnalysis1000();
        
    }
}

void TechnicalAnalysis3xOr1001()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis668();
        
    }
}

void TechnicalAnalysis1000()
{
    if (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis668();
        
    }
}

void TechnicalAnalysis954()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 60.00)
    {
        TechnicalAnalysis953();
        TechnicalAnalysis952();
        
    }
}

void TechnicalAnalysis953()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x674();
        TechnicalAnalysis2x950();
        TechnicalAnalysis2x958();
        TechnicalAnalysis2x955();
        
    }
}

void TechnicalAnalysis2x674()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis951();
        
    }
}

void TechnicalAnalysis951()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr663();
        
    }
}

void TechnicalAnalysis2x950()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis951();
        
    }
}

void TechnicalAnalysis2x958()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_4",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis951();
        
    }
}

void TechnicalAnalysis2x955()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis951();
        
    }
}

void TechnicalAnalysis952()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr1009();
        TechnicalAnalysis1008();
        
    }
}

void TechnicalAnalysis3xOr1009()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis951();
        
    }
}

void TechnicalAnalysis1008()
{
    if (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis951();
        
    }
}

void TechnicalAnalysis963()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 75.00)
    {
        TechnicalAnalysis940();
        TechnicalAnalysis962();
        
    }
}

void TechnicalAnalysis940()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x945();
        TechnicalAnalysis2x960();
        TechnicalAnalysis2x964();
        TechnicalAnalysis2x965();
        
    }
}

void TechnicalAnalysis2x945()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis961();
        
    }
}

void TechnicalAnalysis961()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr663();
        
    }
}

void TechnicalAnalysis2x960()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis961();
        
    }
}

void TechnicalAnalysis2x964()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_4",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis961();
        
    }
}

void TechnicalAnalysis2x965()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis961();
        
    }
}

void TechnicalAnalysis962()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr1015();
        TechnicalAnalysis1014();
        
    }
}

void TechnicalAnalysis3xOr1015()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis961();
        
    }
}

void TechnicalAnalysis1014()
{
    if (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis961();
        
    }
}

void TechnicalAnalysis917()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 30.00)
    {
        TechnicalAnalysis918();
        TechnicalAnalysis919();
        
    }
}

void TechnicalAnalysis918()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr1007();
        TechnicalAnalysis1006();
        
    }
}

void TechnicalAnalysis3xOr1007()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis926();
        
    }
}

void TechnicalAnalysis926()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr663();
        
    }
}

void TechnicalAnalysis1006()
{
    if (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis926();
        
    }
}

void TechnicalAnalysis919()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x931();
        TechnicalAnalysis2x932();
        TechnicalAnalysis2x936();
        TechnicalAnalysis2x933();
        
    }
}

void TechnicalAnalysis2x931()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis926();
        
    }
}

void TechnicalAnalysis2x932()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis926();
        
    }
}

void TechnicalAnalysis2x936()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_4",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis926();
        
    }
}

void TechnicalAnalysis2x933()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis926();
        
    }
}

void TechnicalAnalysis868()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis867();
        TechnicalAnalysis869();
        
    }
}

void TechnicalAnalysis867()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr995();
        TechnicalAnalysis994();
        
    }
}

void TechnicalAnalysis3xOr995()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis874();
        
    }
}

void TechnicalAnalysis874()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr663();
        
    }
}

void TechnicalAnalysis994()
{
    if (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis874();
        
    }
}

void TechnicalAnalysis869()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x889();
        TechnicalAnalysis2x882();
        TechnicalAnalysis2x881();
        TechnicalAnalysis2x883();
        
    }
}

void TechnicalAnalysis2x889()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_4",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis874();
        
    }
}

void TechnicalAnalysis2x882()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis874();
        
    }
}

void TechnicalAnalysis2x881()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis874();
        
    }
}

void TechnicalAnalysis2x883()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis874();
        
    }
}

void TechnicalAnalysis2xOr852()
{
    if ((iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) < 0.99) || (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 0.00))
    {
        TechnicalAnalysis851();
        TechnicalAnalysis848();
        
    }
}

void TechnicalAnalysis851()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x888();
        TechnicalAnalysis2x886();
        TechnicalAnalysis2x885();
        TechnicalAnalysis2x887();
        
    }
}

void TechnicalAnalysis2x888()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_4",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis861();
        
    }
}

void TechnicalAnalysis861()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr663();
        
    }
}

void TechnicalAnalysis2x886()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis861();
        
    }
}

void TechnicalAnalysis2x885()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis861();
        
    }
}

void TechnicalAnalysis2x887()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis861();
        
    }
}

void TechnicalAnalysis848()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr993();
        TechnicalAnalysis992();
        
    }
}

void TechnicalAnalysis3xOr993()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis861();
        
    }
}

void TechnicalAnalysis992()
{
    if (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis861();
        
    }
}

void TechnicalAnalysis2359()
{
    if (iCustom(NULL, PERIOD_M1, "Above_or_Below",0,1) == -1.00)
    {
        TechnicalAnalysis2178();
        TechnicalAnalysis2160();
        TechnicalAnalysis2120();
        TechnicalAnalysis2172();
        TechnicalAnalysis2175();
        TechnicalAnalysis2164();
        TechnicalAnalysis2156();
        TechnicalAnalysis2xOr2154();
        
    }
}

void TechnicalAnalysis2178()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 99.00)
    {
        TechnicalAnalysis2176();
        TechnicalAnalysis2177();
        
    }
}

void TechnicalAnalysis2176()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2622();
        TechnicalAnalysis2x2623();
        TechnicalAnalysis2x2625();
        TechnicalAnalysis2x2624();
        
    }
}

void TechnicalAnalysis2x2622()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2179();
        
    }
}

void TechnicalAnalysis2179()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr2121();
        
    }
}

void TechnicalAnalysis2xOr2121()
{
    if ((iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00) || (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) < 0.00))
    {
        TechnicalAnalysis2243();
        
    }
}

void TechnicalAnalysis2x2623()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2179();
        
    }
}

void TechnicalAnalysis2x2625()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_4",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2179();
        
    }
}

void TechnicalAnalysis2x2624()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2179();
        
    }
}

void TechnicalAnalysis2177()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr2627();
        TechnicalAnalysis2626();
        
    }
}

void TechnicalAnalysis3xOr2627()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2179();
        
    }
}

void TechnicalAnalysis2626()
{
    if (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2179();
        
    }
}

void TechnicalAnalysis2160()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 5.00)
    {
        TechnicalAnalysis2159();
        TechnicalAnalysis2161();
        
    }
}

void TechnicalAnalysis2159()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr2598();
        TechnicalAnalysis2597();
        
    }
}

void TechnicalAnalysis3xOr2598()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2162();
        
    }
}

void TechnicalAnalysis2162()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr2121();
        
    }
}

void TechnicalAnalysis2597()
{
    if (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2162();
        
    }
}

void TechnicalAnalysis2161()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2596();
        TechnicalAnalysis2x2594();
        TechnicalAnalysis2x2595();
        TechnicalAnalysis2x2593();
        
    }
}

void TechnicalAnalysis2x2596()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2162();
        
    }
}

void TechnicalAnalysis2x2594()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2162();
        
    }
}

void TechnicalAnalysis2x2595()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2162();
        
    }
}

void TechnicalAnalysis2x2593()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2162();
        
    }
}

void TechnicalAnalysis2120()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 15.00)
    {
        TechnicalAnalysis2119();
        TechnicalAnalysis2118();
        
    }
}

void TechnicalAnalysis2119()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2163();
        TechnicalAnalysis2x2599();
        TechnicalAnalysis2x2601();
        TechnicalAnalysis2x2600();
        
    }
}

void TechnicalAnalysis2x2163()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2122();
        
    }
}

void TechnicalAnalysis2122()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr2121();
        
    }
}

void TechnicalAnalysis2x2599()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2122();
        
    }
}

void TechnicalAnalysis2x2601()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2122();
        
    }
}

void TechnicalAnalysis2x2600()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2122();
        
    }
}

void TechnicalAnalysis2118()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr2603();
        TechnicalAnalysis2602();
        
    }
}

void TechnicalAnalysis3xOr2603()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2122();
        
    }
}

void TechnicalAnalysis2602()
{
    if (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2122();
        
    }
}

void TechnicalAnalysis2172()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 60.00)
    {
        TechnicalAnalysis2171();
        TechnicalAnalysis2170();
        
    }
}

void TechnicalAnalysis2171()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2610();
        TechnicalAnalysis2x2611();
        TechnicalAnalysis2x2613();
        TechnicalAnalysis2x2612();
        
    }
}

void TechnicalAnalysis2x2610()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2169();
        
    }
}

void TechnicalAnalysis2169()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr2121();
        
    }
}

void TechnicalAnalysis2x2611()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2169();
        
    }
}

void TechnicalAnalysis2x2613()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_4",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2169();
        
    }
}

void TechnicalAnalysis2x2612()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2169();
        
    }
}

void TechnicalAnalysis2170()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr2615();
        TechnicalAnalysis2614();
        
    }
}

void TechnicalAnalysis3xOr2615()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2169();
        
    }
}

void TechnicalAnalysis2614()
{
    if (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2169();
        
    }
}

void TechnicalAnalysis2175()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 75.00)
    {
        TechnicalAnalysis2168();
        TechnicalAnalysis2174();
        
    }
}

void TechnicalAnalysis2168()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2616();
        TechnicalAnalysis2x2617();
        TechnicalAnalysis2x2619();
        TechnicalAnalysis2x2618();
        
    }
}

void TechnicalAnalysis2x2616()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2173();
        
    }
}

void TechnicalAnalysis2173()
{
    if (iMA(NULL, PERIOD_M5,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr2121();
        
    }
}

void TechnicalAnalysis2x2617()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2173();
        
    }
}

void TechnicalAnalysis2x2619()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_4",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2173();
        
    }
}

void TechnicalAnalysis2x2618()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2173();
        
    }
}

void TechnicalAnalysis2174()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr2621();
        TechnicalAnalysis2620();
        
    }
}

void TechnicalAnalysis3xOr2621()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2173();
        
    }
}

void TechnicalAnalysis2620()
{
    if (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2173();
        
    }
}

void TechnicalAnalysis2164()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 30.00)
    {
        TechnicalAnalysis2165();
        TechnicalAnalysis2166();
        
    }
}

void TechnicalAnalysis2165()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr2609();
        TechnicalAnalysis2608();
        
    }
}

void TechnicalAnalysis3xOr2609()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2167();
        
    }
}

void TechnicalAnalysis2167()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr2121();
        
    }
}

void TechnicalAnalysis2608()
{
    if (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2167();
        
    }
}

void TechnicalAnalysis2166()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2604();
        TechnicalAnalysis2x2605();
        TechnicalAnalysis2x2607();
        TechnicalAnalysis2x2606();
        
    }
}

void TechnicalAnalysis2x2604()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2167();
        
    }
}

void TechnicalAnalysis2x2605()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2167();
        
    }
}

void TechnicalAnalysis2x2607()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_4",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2167();
        
    }
}

void TechnicalAnalysis2x2606()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2167();
        
    }
}

void TechnicalAnalysis2156()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis2155();
        TechnicalAnalysis2157();
        
    }
}

void TechnicalAnalysis2155()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr2592();
        TechnicalAnalysis2591();
        
    }
}

void TechnicalAnalysis3xOr2592()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2158();
        
    }
}

void TechnicalAnalysis2158()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr2121();
        
    }
}

void TechnicalAnalysis2591()
{
    if (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2158();
        
    }
}

void TechnicalAnalysis2157()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2590();
        TechnicalAnalysis2x2588();
        TechnicalAnalysis2x2589();
        TechnicalAnalysis2x2587();
        
    }
}

void TechnicalAnalysis2x2590()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_4",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2158();
        
    }
}

void TechnicalAnalysis2x2588()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2158();
        
    }
}

void TechnicalAnalysis2x2589()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2158();
        
    }
}

void TechnicalAnalysis2x2587()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2158();
        
    }
}

void TechnicalAnalysis2xOr2154()
{
    if ((iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) < 0.99) || (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 0.00))
    {
        TechnicalAnalysis2578();
        TechnicalAnalysis2579();
        
    }
}

void TechnicalAnalysis2578()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2584();
        TechnicalAnalysis2x2582();
        TechnicalAnalysis2x2583();
        TechnicalAnalysis2x2581();
        
    }
}

void TechnicalAnalysis2x2584()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_4",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2580();
        
    }
}

void TechnicalAnalysis2580()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current) > 0.00)
    {
        TechnicalAnalysis2xOr2121();
        
    }
}

void TechnicalAnalysis2x2582()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2580();
        
    }
}

void TechnicalAnalysis2x2583()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,2)))
    {
        TechnicalAnalysis2580();
        
    }
}

void TechnicalAnalysis2x2581()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,2)))
    {
        TechnicalAnalysis2580();
        
    }
}

void TechnicalAnalysis2579()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis3xOr2586();
        TechnicalAnalysis2585();
        
    }
}

void TechnicalAnalysis3xOr2586()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)))
    {
        TechnicalAnalysis2580();
        
    }
}

void TechnicalAnalysis2585()
{
    if (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_4",0,1))
    {
        TechnicalAnalysis2580();
        
    }
}

void TechnicalAnalysis2688()
{
    if (iCustom(NULL, PERIOD_M1, "Execution_Codes",0,1) == 900.00)
    {
        TechnicalAnalysis1036();
        TechnicalAnalysis2360();
        
    }
}

void TechnicalAnalysis1036()
{
    if (iCustom(NULL, PERIOD_M1, "Above_or_Below",0,1) == 1.00)
    {
        TechnicalAnalysis1024();
        TechnicalAnalysis1033();
        TechnicalAnalysis1157();
        TechnicalAnalysis1165();
        TechnicalAnalysis1169();
        TechnicalAnalysis1162();
        TechnicalAnalysis1153();
        TechnicalAnalysis2xOr1150();
        
    }
}

void TechnicalAnalysis1024()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 99.00)
    {
        TechnicalAnalysis1246();
        TechnicalAnalysis1023();
        
    }
}

void TechnicalAnalysis1246()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2xOr1274();
        TechnicalAnalysis2xOr1275();
        
    }
}

void TechnicalAnalysis2xOr1274()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2x1277();
        
    }
}

void TechnicalAnalysis2x1277()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1279();
        
    }
}

void TechnicalAnalysis2xOr1279()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis1240();
        
    }
}

void TechnicalAnalysis1240()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis1284();
        
    }
}

void TechnicalAnalysis1284()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        Calculation2703();
        
    }
}

void TechnicalAnalysis2xOr1275()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,2)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2x1277();
        
    }
}

void TechnicalAnalysis1023()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x1276();
        
    }
}

void TechnicalAnalysis2x1276()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1278();
        
    }
}

void TechnicalAnalysis2xOr1278()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis1240();
        
    }
}

void TechnicalAnalysis1033()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 5.00)
    {
        TechnicalAnalysis1308();
        TechnicalAnalysis1032();
        
    }
}

void TechnicalAnalysis1308()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2xOr1214();
        TechnicalAnalysis2xOr1215();
        
    }
}

void TechnicalAnalysis2xOr1214()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2x1218();
        
    }
}

void TechnicalAnalysis2x1218()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1219();
        
    }
}

void TechnicalAnalysis2xOr1219()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis1208();
        
    }
}

void TechnicalAnalysis1208()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis1284();
        
    }
}

void TechnicalAnalysis2xOr1215()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,2)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2x1218();
        
    }
}

void TechnicalAnalysis1032()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x1217();
        
    }
}

void TechnicalAnalysis2x1217()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1216();
        
    }
}

void TechnicalAnalysis2xOr1216()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis1208();
        
    }
}

void TechnicalAnalysis1157()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 15.00)
    {
        TechnicalAnalysis1306();
        TechnicalAnalysis1156();
        
    }
}

void TechnicalAnalysis1306()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2xOr1197();
        TechnicalAnalysis2xOr1198();
        
    }
}

void TechnicalAnalysis2xOr1197()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2x1196();
        
    }
}

void TechnicalAnalysis2x1196()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1194();
        
    }
}

void TechnicalAnalysis2xOr1194()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis1188();
        
    }
}

void TechnicalAnalysis1188()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis1284();
        
    }
}

void TechnicalAnalysis2xOr1198()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,2)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2x1196();
        
    }
}

void TechnicalAnalysis1156()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x1199();
        
    }
}

void TechnicalAnalysis2x1199()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1195();
        
    }
}

void TechnicalAnalysis2xOr1195()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis1188();
        
    }
}

void TechnicalAnalysis1165()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 60.00)
    {
        TechnicalAnalysis1247();
        TechnicalAnalysis1164();
        
    }
}

void TechnicalAnalysis1247()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2xOr1262();
        TechnicalAnalysis2xOr1263();
        
    }
}

void TechnicalAnalysis2xOr1262()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2x1265();
        
    }
}

void TechnicalAnalysis2x1265()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1267();
        
    }
}

void TechnicalAnalysis2xOr1267()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis1256();
        
    }
}

void TechnicalAnalysis1256()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis1284();
        
    }
}

void TechnicalAnalysis2xOr1263()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,2)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2x1265();
        
    }
}

void TechnicalAnalysis1164()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x1264();
        
    }
}

void TechnicalAnalysis2x1264()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1266();
        
    }
}

void TechnicalAnalysis2xOr1266()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis1256();
        
    }
}

void TechnicalAnalysis1169()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 75.00)
    {
        TechnicalAnalysis1248();
        TechnicalAnalysis1168();
        
    }
}

void TechnicalAnalysis1248()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2xOr1268();
        TechnicalAnalysis2xOr1269();
        
    }
}

void TechnicalAnalysis2xOr1268()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2x1271();
        
    }
}

void TechnicalAnalysis2x1271()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1273();
        
    }
}

void TechnicalAnalysis2xOr1273()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis1281();
        
    }
}

void TechnicalAnalysis1281()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis1284();
        
    }
}

void TechnicalAnalysis2xOr1269()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,2)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2x1271();
        
    }
}

void TechnicalAnalysis1168()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x1270();
        
    }
}

void TechnicalAnalysis2x1270()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1272();
        
    }
}

void TechnicalAnalysis2xOr1272()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis1281();
        
    }
}

void TechnicalAnalysis1162()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 30.00)
    {
        TechnicalAnalysis1160();
        TechnicalAnalysis1307();
        
    }
}

void TechnicalAnalysis1160()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x1222();
        
    }
}

void TechnicalAnalysis2x1222()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1224();
        
    }
}

void TechnicalAnalysis2xOr1224()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis1201();
        
    }
}

void TechnicalAnalysis1201()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis1284();
        
    }
}

void TechnicalAnalysis1307()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2xOr1220();
        TechnicalAnalysis2xOr1221();
        
    }
}

void TechnicalAnalysis2xOr1220()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2x1223();
        
    }
}

void TechnicalAnalysis2x1223()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1225();
        
    }
}

void TechnicalAnalysis2xOr1225()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis1201();
        
    }
}

void TechnicalAnalysis2xOr1221()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,2)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2x1223();
        
    }
}

void TechnicalAnalysis1153()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis1310();
        TechnicalAnalysis1180();
        
    }
}

void TechnicalAnalysis1310()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2xOr1233();
        TechnicalAnalysis2xOr1232();
        
    }
}

void TechnicalAnalysis2xOr1233()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,2)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2x1235();
        
    }
}

void TechnicalAnalysis2x1235()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1237();
        
    }
}

void TechnicalAnalysis2xOr1237()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis1227();
        
    }
}

void TechnicalAnalysis1227()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis1284();
        
    }
}

void TechnicalAnalysis2xOr1232()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2x1235();
        
    }
}

void TechnicalAnalysis1180()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x1234();
        
    }
}

void TechnicalAnalysis2x1234()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1236();
        
    }
}

void TechnicalAnalysis2xOr1236()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis1227();
        
    }
}

void TechnicalAnalysis2xOr1150()
{
    if ((iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) < 0.99) || (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 0.00))
    {
        TechnicalAnalysis1309();
        TechnicalAnalysis1172();
        
    }
}

void TechnicalAnalysis1309()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2xOr1182();
        TechnicalAnalysis2xOr1183();
        
    }
}

void TechnicalAnalysis2xOr1182()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2x1184();
        
    }
}

void TechnicalAnalysis2x1184()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1186();
        
    }
}

void TechnicalAnalysis2xOr1186()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis1174();
        
    }
}

void TechnicalAnalysis1174()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis1284();
        
    }
}

void TechnicalAnalysis2xOr1183()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,2)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_4",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2x1184();
        
    }
}

void TechnicalAnalysis1172()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x1181();
        
    }
}

void TechnicalAnalysis2x1181()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1185();
        
    }
}

void TechnicalAnalysis2xOr1185()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_4",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis1174();
        
    }
}

void TechnicalAnalysis2360()
{
    if (iCustom(NULL, PERIOD_M1, "Above_or_Below",0,1) == -1.00)
    {
        TechnicalAnalysis2181();
        TechnicalAnalysis2183();
        TechnicalAnalysis2209();
        TechnicalAnalysis2213();
        TechnicalAnalysis2215();
        TechnicalAnalysis2211();
        TechnicalAnalysis2207();
        TechnicalAnalysis2xOr2206();
        
    }
}

void TechnicalAnalysis2181()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 99.00)
    {
        TechnicalAnalysis2225();
        TechnicalAnalysis2180();
        
    }
}

void TechnicalAnalysis2225()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2xOr2673();
        TechnicalAnalysis2xOr2674();
        
    }
}

void TechnicalAnalysis2xOr2673()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2x2675();
        
    }
}

void TechnicalAnalysis2x2675()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2676();
        
    }
}

void TechnicalAnalysis2xOr2676()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis2224();
        
    }
}

void TechnicalAnalysis2224()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis2230();
        
    }
}

void TechnicalAnalysis2230()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis2243();
        
    }
}

void TechnicalAnalysis2xOr2674()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,2)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2x2675();
        
    }
}

void TechnicalAnalysis2180()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x2677();
        
    }
}

void TechnicalAnalysis2x2677()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2678();
        
    }
}

void TechnicalAnalysis2xOr2678()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis2224();
        
    }
}

void TechnicalAnalysis2183()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 5.00)
    {
        TechnicalAnalysis2233();
        TechnicalAnalysis2182();
        
    }
}

void TechnicalAnalysis2233()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2xOr2641();
        TechnicalAnalysis2xOr2642();
        
    }
}

void TechnicalAnalysis2xOr2641()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2x2643();
        
    }
}

void TechnicalAnalysis2x2643()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2644();
        
    }
}

void TechnicalAnalysis2xOr2644()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis2222();
        
    }
}

void TechnicalAnalysis2222()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis2230();
        
    }
}

void TechnicalAnalysis2xOr2642()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,2)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2x2643();
        
    }
}

void TechnicalAnalysis2182()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x2645();
        
    }
}

void TechnicalAnalysis2x2645()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2647();
        
    }
}

void TechnicalAnalysis2xOr2647()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis2222();
        
    }
}

void TechnicalAnalysis2209()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 15.00)
    {
        TechnicalAnalysis2231();
        TechnicalAnalysis2208();
        
    }
}

void TechnicalAnalysis2231()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2xOr2652();
        TechnicalAnalysis2xOr2653();
        
    }
}

void TechnicalAnalysis2xOr2652()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2x2651();
        
    }
}

void TechnicalAnalysis2x2651()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2650();
        
    }
}

void TechnicalAnalysis2xOr2650()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis2220();
        
    }
}

void TechnicalAnalysis2220()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis2230();
        
    }
}

void TechnicalAnalysis2xOr2653()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,2)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2x2651();
        
    }
}

void TechnicalAnalysis2208()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x2648();
        
    }
}

void TechnicalAnalysis2x2648()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2649();
        
    }
}

void TechnicalAnalysis2xOr2649()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis2220();
        
    }
}

void TechnicalAnalysis2213()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 60.00)
    {
        TechnicalAnalysis2226();
        TechnicalAnalysis2212();
        
    }
}

void TechnicalAnalysis2226()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2xOr2660();
        TechnicalAnalysis2xOr2661();
        
    }
}

void TechnicalAnalysis2xOr2660()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2x2662();
        
    }
}

void TechnicalAnalysis2x2662()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2663();
        
    }
}

void TechnicalAnalysis2xOr2663()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis2228();
        
    }
}

void TechnicalAnalysis2228()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis2230();
        
    }
}

void TechnicalAnalysis2xOr2661()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,2)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2x2662();
        
    }
}

void TechnicalAnalysis2212()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x2664();
        
    }
}

void TechnicalAnalysis2x2664()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2665();
        
    }
}

void TechnicalAnalysis2xOr2665()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis2228();
        
    }
}

void TechnicalAnalysis2215()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 75.00)
    {
        TechnicalAnalysis2227();
        TechnicalAnalysis2214();
        
    }
}

void TechnicalAnalysis2227()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2xOr2666();
        TechnicalAnalysis2xOr2667();
        
    }
}

void TechnicalAnalysis2xOr2666()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2x2668();
        
    }
}

void TechnicalAnalysis2x2668()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2669();
        
    }
}

void TechnicalAnalysis2xOr2669()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis2229();
        
    }
}

void TechnicalAnalysis2229()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis2230();
        
    }
}

void TechnicalAnalysis2xOr2667()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,2)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2x2668();
        
    }
}

void TechnicalAnalysis2214()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x2670();
        
    }
}

void TechnicalAnalysis2x2670()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2671();
        
    }
}

void TechnicalAnalysis2xOr2671()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis2229();
        
    }
}

void TechnicalAnalysis2211()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 30.00)
    {
        TechnicalAnalysis2210();
        TechnicalAnalysis2232();
        
    }
}

void TechnicalAnalysis2210()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x2657();
        
    }
}

void TechnicalAnalysis2x2657()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2658();
        
    }
}

void TechnicalAnalysis2xOr2658()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis2221();
        
    }
}

void TechnicalAnalysis2221()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis2230();
        
    }
}

void TechnicalAnalysis2232()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2xOr2654();
        TechnicalAnalysis2xOr2659();
        
    }
}

void TechnicalAnalysis2xOr2654()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2x2655();
        
    }
}

void TechnicalAnalysis2x2655()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2656();
        
    }
}

void TechnicalAnalysis2xOr2656()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis2221();
        
    }
}

void TechnicalAnalysis2xOr2659()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_3",0,2)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2x2655();
        
    }
}

void TechnicalAnalysis2207()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis2234();
        TechnicalAnalysis2219();
        
    }
}

void TechnicalAnalysis2234()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2xOr2636();
        TechnicalAnalysis2xOr2640();
        
    }
}

void TechnicalAnalysis2xOr2636()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,2)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2x2637();
        
    }
}

void TechnicalAnalysis2x2637()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2638();
        
    }
}

void TechnicalAnalysis2xOr2638()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis2223();
        
    }
}

void TechnicalAnalysis2223()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis2230();
        
    }
}

void TechnicalAnalysis2xOr2640()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2x2637();
        
    }
}

void TechnicalAnalysis2219()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x2639();
        
    }
}

void TechnicalAnalysis2x2639()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2646();
        
    }
}

void TechnicalAnalysis2xOr2646()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis2223();
        
    }
}

void TechnicalAnalysis2xOr2206()
{
    if ((iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) < 0.99) || (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 0.00))
    {
        TechnicalAnalysis2629();
        TechnicalAnalysis2216();
        
    }
}

void TechnicalAnalysis2629()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2xOr2630();
        TechnicalAnalysis2xOr2631();
        
    }
}

void TechnicalAnalysis2xOr2630()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2x2632();
        
    }
}

void TechnicalAnalysis2x2632()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2633();
        
    }
}

void TechnicalAnalysis2xOr2633()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis2218();
        
    }
}

void TechnicalAnalysis2218()
{
    if (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00)
    {
        TechnicalAnalysis2230();
        
    }
}

void TechnicalAnalysis2xOr2631()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,2)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_4",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_4",0,2)))
    {
        TechnicalAnalysis2x2632();
        
    }
}

void TechnicalAnalysis2216()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x2634();
        
    }
}

void TechnicalAnalysis2x2634()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2635();
        
    }
}

void TechnicalAnalysis2xOr2635()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_3",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_3",0,1)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_4",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_4",0,1)))
    {
        TechnicalAnalysis2218();
        
    }
}

void TechnicalAnalysis2681()
{
    if (iCustom(NULL, PERIOD_M1, "Execution_Codes",0,1) == 200.00)
    {
        TechnicalAnalysis2689();
        TechnicalAnalysis2356();
        
    }
}

void TechnicalAnalysis2689()
{
    if (iCustom(NULL, PERIOD_M1, "Above_or_Below",0,1) == 1.00)
    {
        TechnicalAnalysis1043();
        TechnicalAnalysis1084();
        TechnicalAnalysis1093();
        TechnicalAnalysis1112();
        TechnicalAnalysis1120();
        TechnicalAnalysis1103();
        TechnicalAnalysis1132();
        TechnicalAnalysis2xOr1142();
        
    }
}

void TechnicalAnalysis1043()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 99.00)
    {
        TechnicalAnalysis2700();
        TechnicalAnalysis2699();
        
    }
}

void TechnicalAnalysis2700()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2701();
        
    }
}

void TechnicalAnalysis2x2701()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2702();
        
    }
}

void TechnicalAnalysis2xOr2702()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2xOr1060();
        
    }
}

void TechnicalAnalysis2xOr1060()
{
    if ((iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) > 0.00) || (iMA(NULL, PERIOD_M15,0,0,MODE_SMA,PRICE_CLOSE,current+1) < 0.00))
    {
        Calculation2703();
        
    }
}

void TechnicalAnalysis2699()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x1042();
        
    }
}

void TechnicalAnalysis2x1042()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1060();
        
    }
}

void TechnicalAnalysis1084()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 5.00)
    {
        TechnicalAnalysis1082();
        TechnicalAnalysis1083();
        
    }
}

void TechnicalAnalysis1082()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x1078();
        
    }
}

void TechnicalAnalysis2x1078()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1080();
        
    }
}

void TechnicalAnalysis2xOr1080()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2xOr1060();
        
    }
}

void TechnicalAnalysis1083()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x1079();
        
    }
}

void TechnicalAnalysis2x1079()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1060();
        
    }
}

void TechnicalAnalysis1093()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 15.00)
    {
        TechnicalAnalysis1092();
        TechnicalAnalysis1069();
        
    }
}

void TechnicalAnalysis1092()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x1091();
        
    }
}

void TechnicalAnalysis2x1091()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1090();
        
    }
}

void TechnicalAnalysis2xOr1090()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2xOr1060();
        
    }
}

void TechnicalAnalysis1069()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x1067();
        
    }
}

void TechnicalAnalysis2x1067()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1060();
        
    }
}

void TechnicalAnalysis1112()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 60.00)
    {
        TechnicalAnalysis1110();
        TechnicalAnalysis1111();
        
    }
}

void TechnicalAnalysis1110()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x1107();
        
    }
}

void TechnicalAnalysis2x1107()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1109();
        
    }
}

void TechnicalAnalysis2xOr1109()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2xOr1060();
        
    }
}

void TechnicalAnalysis1111()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x1108();
        
    }
}

void TechnicalAnalysis2x1108()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1060();
        
    }
}

void TechnicalAnalysis1120()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 75.00)
    {
        TechnicalAnalysis1123();
        TechnicalAnalysis1077();
        
    }
}

void TechnicalAnalysis1123()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x1119();
        
    }
}

void TechnicalAnalysis2x1119()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1118();
        
    }
}

void TechnicalAnalysis2xOr1118()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2xOr1060();
        
    }
}

void TechnicalAnalysis1077()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x1076();
        
    }
}

void TechnicalAnalysis2x1076()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1060();
        
    }
}

void TechnicalAnalysis1103()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 30.00)
    {
        TechnicalAnalysis1073();
        TechnicalAnalysis1102();
        
    }
}

void TechnicalAnalysis1073()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x1070();
        
    }
}

void TechnicalAnalysis2x1070()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1060();
        
    }
}

void TechnicalAnalysis1102()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x1100();
        
    }
}

void TechnicalAnalysis2x1100()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1099();
        
    }
}

void TechnicalAnalysis2xOr1099()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2xOr1060();
        
    }
}

void TechnicalAnalysis1132()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis1130();
        TechnicalAnalysis1135();
        
    }
}

void TechnicalAnalysis1130()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x1140();
        
    }
}

void TechnicalAnalysis2x1140()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1138();
        
    }
}

void TechnicalAnalysis2xOr1138()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2xOr1060();
        
    }
}

void TechnicalAnalysis1135()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x1139();
        
    }
}

void TechnicalAnalysis2x1139()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1060();
        
    }
}

void TechnicalAnalysis2xOr1142()
{
    if ((iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) < 0.99) || (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 0.00))
    {
        TechnicalAnalysis1126();
        TechnicalAnalysis1146();
        
    }
}

void TechnicalAnalysis1126()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2706();
        
    }
}

void TechnicalAnalysis2x2706()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1148();
        
    }
}

void TechnicalAnalysis2xOr1148()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,2) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2xOr1060();
        
    }
}

void TechnicalAnalysis1146()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x1147();
        
    }
}

void TechnicalAnalysis2x1147()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr1060();
        
    }
}

void TechnicalAnalysis2356()
{
    if (iCustom(NULL, PERIOD_M1, "Above_or_Below",0,1) == -1.00)
    {
        TechnicalAnalysis2186();
        TechnicalAnalysis2192();
        TechnicalAnalysis2194();
        TechnicalAnalysis2199();
        TechnicalAnalysis2200();
        TechnicalAnalysis2196();
        TechnicalAnalysis2203();
        TechnicalAnalysis2xOr2205();
        
    }
}

void TechnicalAnalysis2186()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 99.00)
    {
        TechnicalAnalysis2184();
        TechnicalAnalysis2185();
        
    }
}

void TechnicalAnalysis2184()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2384();
        
    }
}

void TechnicalAnalysis2x2384()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2386();
        
    }
}

void TechnicalAnalysis2xOr2386()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2xOr2347();
        
    }
}

void TechnicalAnalysis2185()
{
    if (iCustom(NULL, PERIOD_D1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x2385();
        
    }
}

void TechnicalAnalysis2x2385()
{
    if ((iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_D1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_D1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2347();
        
    }
}

void TechnicalAnalysis2192()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 5.00)
    {
        TechnicalAnalysis2190();
        TechnicalAnalysis2191();
        
    }
}

void TechnicalAnalysis2190()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2369();
        
    }
}

void TechnicalAnalysis2x2369()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2371();
        
    }
}

void TechnicalAnalysis2xOr2371()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2xOr2347();
        
    }
}

void TechnicalAnalysis2191()
{
    if (iCustom(NULL, PERIOD_M5, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x2370();
        
    }
}

void TechnicalAnalysis2x2370()
{
    if ((iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M5, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M5, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2347();
        
    }
}

void TechnicalAnalysis2194()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 15.00)
    {
        TechnicalAnalysis2193();
        TechnicalAnalysis2187();
        
    }
}

void TechnicalAnalysis2193()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2372();
        
    }
}

void TechnicalAnalysis2x2372()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2374();
        
    }
}

void TechnicalAnalysis2xOr2374()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2xOr2347();
        
    }
}

void TechnicalAnalysis2187()
{
    if (iCustom(NULL, PERIOD_M15, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x2373();
        
    }
}

void TechnicalAnalysis2x2373()
{
    if ((iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M15, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M15, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2347();
        
    }
}

void TechnicalAnalysis2199()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 60.00)
    {
        TechnicalAnalysis2197();
        TechnicalAnalysis2198();
        
    }
}

void TechnicalAnalysis2197()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2378();
        
    }
}

void TechnicalAnalysis2x2378()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2380();
        
    }
}

void TechnicalAnalysis2xOr2380()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2xOr2347();
        
    }
}

void TechnicalAnalysis2198()
{
    if (iCustom(NULL, PERIOD_H1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x2379();
        
    }
}

void TechnicalAnalysis2x2379()
{
    if ((iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2347();
        
    }
}

void TechnicalAnalysis2200()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 75.00)
    {
        TechnicalAnalysis2201();
        TechnicalAnalysis2189();
        
    }
}

void TechnicalAnalysis2201()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2381();
        
    }
}

void TechnicalAnalysis2x2381()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2383();
        
    }
}

void TechnicalAnalysis2xOr2383()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2xOr2347();
        
    }
}

void TechnicalAnalysis2189()
{
    if (iCustom(NULL, PERIOD_H4, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x2382();
        
    }
}

void TechnicalAnalysis2x2382()
{
    if ((iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_H4, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_H4, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2347();
        
    }
}

void TechnicalAnalysis2196()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 30.00)
    {
        TechnicalAnalysis2188();
        TechnicalAnalysis2195();
        
    }
}

void TechnicalAnalysis2188()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x2376();
        
    }
}

void TechnicalAnalysis2x2376()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2347();
        
    }
}

void TechnicalAnalysis2195()
{
    if (iCustom(NULL, PERIOD_M30, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2375();
        
    }
}

void TechnicalAnalysis2x2375()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2377();
        
    }
}

void TechnicalAnalysis2xOr2377()
{
    if ((iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M30, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M30, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2xOr2347();
        
    }
}

void TechnicalAnalysis2203()
{
    if (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 1.00)
    {
        TechnicalAnalysis2202();
        TechnicalAnalysis2204();
        
    }
}

void TechnicalAnalysis2202()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2366();
        
    }
}

void TechnicalAnalysis2x2366()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2367();
        
    }
}

void TechnicalAnalysis2xOr2367()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2xOr2347();
        
    }
}

void TechnicalAnalysis2204()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x2368();
        
    }
}

void TechnicalAnalysis2x2368()
{
    if ((iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, PERIOD_M1, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, PERIOD_M1, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2347();
        
    }
}

void TechnicalAnalysis2xOr2205()
{
    if ((iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) < 0.99) || (iCustom(NULL, PERIOD_M1, "Time_Frame",0,1) == 0.00))
    {
        TechnicalAnalysis2361();
        TechnicalAnalysis2362();
        
    }
}

void TechnicalAnalysis2361()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 0.00)
    {
        TechnicalAnalysis2x2363();
        
    }
}

void TechnicalAnalysis2x2363()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2364();
        
    }
}

void TechnicalAnalysis2xOr2364()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,2)) || (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,2) > iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,2)))
    {
        TechnicalAnalysis2xOr2347();
        
    }
}

void TechnicalAnalysis2362()
{
    if (iCustom(NULL, PERIOD_M1, "Cross_or_Location",0,1) == 1.00)
    {
        TechnicalAnalysis2x2365();
        
    }
}

void TechnicalAnalysis2x2365()
{
    if ((iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_1",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_1",0,1)) && (iCustom(NULL, NULL, "TL_BUY_Entry_Fast_MA_2",0,1) < iCustom(NULL, NULL, "Actual_Sloped_TL_2",0,1)))
    {
        TechnicalAnalysis2xOr2347();
        
    }
}



